(* ::Package:: *)

(************************************************************************)
(* This file was generated automatically by the Mathematica front end.  *)
(* It contains Initialization cells from a Notebook file, which         *)
(* typically will have the same name as this file except ending in      *)
(* ".nb" instead of ".m".                                               *)
(*                                                                      *)
(* This file is intended to be loaded into the Mathematica kernel using *)
(* the package loading commands Get or Needs.  Doing so is equivalent   *)
(* to using the Evaluate Initialization Cells menu command in the front *)
(* end.                                                                 *)
(*                                                                      *)
(* DO NOT EDIT THIS FILE.  This entire file is regenerated              *)
(* automatically each time the parent Notebook file is saved in the     *)
(* Mathematica front end.  Any changes you make to this file will be    *)
(* overwritten.                                                         *)
(************************************************************************)



ShockOne=Table[\[Eta]Vec.\[Eta]VecProb,{LengthOne}];
ShockData=Flatten[Import["shocksim.dat","Table"]];
\[Eta]Sim=Join[ShockOne,ShockData];


Construct\[Epsilon]SimulShock:= Block[{},
{\[Epsilon]Sim,\[Epsilon]SimProb}=DiscreteMeanOneLogNormal[\[Sigma]\[Epsilon],SimAgents]; 
\[Epsilon]SimMat=Table[\[Epsilon]Sim[[PermutationMat[[i]]]],{i,1,SimPeriods}]
];


(* Mapping from time t to tp1 *)
Maptp1[t_]:=Block[{},
\[Eta]tp1=\[Eta]Sim[[t]];
\[Iota]tp1=\[Iota]Sim[[t]];
\[Epsilon]tp1Vec=\[Epsilon]SimMat[[t]];(* shocks *)
\[ScriptC]tVec=\[ScriptC]F[\[ScriptW]tVec];
\[ScriptK]tVec=\[ScriptK]F[\[ScriptW]tVec];
\[ScriptY]tp1Vec=\[ScriptCapitalA] \[Epsilon]tp1Vec \[ScriptK]tVec^\[Alpha] (\[Eta]tp1 +\[Iota]tp1);
\[ScriptW]tp1Vec=\[ScriptY]tp1Vec;
\[ScriptW]tVec = \[ScriptW]tp1Vec;
];

(* \[ScriptW]0 is initial state variable*)
Simulate[\[ScriptW]0_]:=Block[{},
\[ScriptCapitalW]tVec=\[ScriptCapitalC]tVec=\[ScriptCapitalK]tVec={};
\[ScriptW]tVec = ConstantArray[\[ScriptW]0,SimAgents];
Do[
AppendTo[\[ScriptCapitalW]tVec,Mean[\[ScriptW]tVec]];
Maptp1[t];
AppendTo[\[ScriptCapitalC]tVec,Mean[\[ScriptC]tVec]];
AppendTo[\[ScriptCapitalK]tVec,Mean[\[ScriptK]tVec]];
,{t,1,SimPeriods}];
];

(* Collecting all idiosyncratic variables *)
SimulateMat[\[ScriptW]0_]:=Block[{},
\[ScriptCapitalW]tMat=\[ScriptCapitalC]tMat=\[ScriptCapitalK]tMat={};
\[ScriptW]tVec = ConstantArray[\[ScriptW]0,SimAgents];
Do[
AppendTo[\[ScriptCapitalW]tMat,\[ScriptW]tVec];
Maptp1[t];
AppendTo[\[ScriptCapitalC]tMat,\[ScriptC]tVec];
AppendTo[\[ScriptCapitalK]tMat,\[ScriptK]tVec];
,{t,1,SimPeriods}];
];


MapInstp1[t_]:=Block[{},
\[Eta]tp1=\[Eta]Sim[[t]];
\[Epsilon]tp1Vec=\[Epsilon]SimMat[[t]];(* shocks *)
\[Iota]tp1=\[Iota]Sim[[t]];
\[ScriptC]tVec=\[ScriptC]FIns[\[ScriptW]tVec];
\[ScriptK]tVec=\[ScriptK]FIns[\[ScriptW]tVec];
\[ScriptY]tp1Vec=\[ScriptCapitalA] \[Epsilon]tp1Vec \[ScriptK]tVec^\[Alpha] (\[Eta]tp1+\[Iota]tp1);
\[ScriptW]tp1Vec=\[ScriptY]tp1Vec;
\[ScriptW]tVec = \[ScriptW]tp1Vec;
];
SimulateIns[\[ScriptW]0_]:=Block[{},
\[ScriptCapitalW]tVec=\[ScriptCapitalC]tVec=\[ScriptCapitalK]tVec={};
\[ScriptW]tVec = ConstantArray[\[ScriptW]0,SimAgents];
Do[
AppendTo[\[ScriptCapitalW]tVec,Mean[\[ScriptW]tVec]];
MapInstp1[t];
AppendTo[\[ScriptCapitalC]tVec,Mean[\[ScriptC]tVec]];
AppendTo[\[ScriptCapitalK]tVec,Mean[\[ScriptK]tVec]];
,{t,1,SimPeriods }];
];
