clear
capture log close
set more off

u "$data\crop_prod1", clear
keep qno - prop3 prod_kgs1 - sold_mks3 seed_val1- seed_val3 inputs1- byprod_val
bys qno: gen season=_n
reshape long crop prop prod_kgs sold_kgs sold_mks inputs labor sp_fert seed_val, i(qno season) j(cropnum)
drop if crop==.

// correct wrong entry
replace sold_mks=sold_mks/10 if qno==803 | qno==92 | qno==540 | qno==607 | qno==694 
replace byprod_val=byprod_val/10 if qno==350 | qno==380 
replace sold_mks=37120.5 if sold_mk==3712050 & qno==491
replace prod=prod/10 if qno==75 | qno==96 | qno==168 | qno==350 | qno==145 | (qno==91 & cropnum>1)
replace sold_kg=sold_kg/10 if qno==145
replace sold_mk=sold_mk*10 if qno==3 

gen own_kg=prod_kg-sold_kgs
*replace own=. if own<0
drop if own<0
bys crop: egen price=mean(sold_mks/sold_kgs)
gen own_prod=own_kg*price

egen tempSale=rowtotal(sold_mks byprod_val)
bys qno: egen Sale=total(tempSale)
bys qno: egen Own=total(own_prod)

egen tempK=rowtotal(sp_irri sp_fert sp_prot sp_manure sp_tractor sp_labor sp_oxen seed_val) 
bys qno: egen k=total(tempK)

gen y=Sale+Own-k

foreach x in sp_irri sp_fert sp_prot sp_manure sp_tractor sp_labor sp_oxen seed_val {
bys qno: egen tot`x' = total(`x')
}

keep qno y Sale Own k totsp_irri totsp_fert totsp_prot totsp_manure totsp_tractor totsp_labor totsp_oxen totseed_val 
duplicates drop
sort qno 
merge qno using $data\merged_data, keep(treatment takeup)
drop if _m!=3
drop _m

drop if treatment==.			/* KEEP ONLY PPL IN TREATMENT CONTROL GROUP! */
duplicates drop
save $data\income, replace
preserve
gen qno_moments = qno
keep qno*
duplicates drop
sort qno
save "$data\ppl4moments", replace
restore
log using $result\PRODUCTION, replace t 
tabstat y Sale Own k totsp_irri totsp_fert totsp_prot totsp_manure totsp_tractor totsp_labor totsp_oxen totseed_val, ///
stats(n mean sd p10 p50 p90) c(s)
log close

gen y_k=y/k
sort y_k

foreach x in  {
egen sd_y=sd(y_k)
egen mean_y=mean(y_k)
egen median_y=median(y_k)
gen ratioMEDy=median_y/sd_y
}

log using $result\simul, replace t
sum median* sd* ratio*
log close

outsheet y_k using "$math\std_err.dat", replace noname
