clear
capture log close
set more off


u "$data\crop_prod1", clear
keep qno - prop3 prod_kgs1 - sold_mks3 seed_val1- seed_val3 inputs1- byprod_val
bys qno: gen pl=_n
egen numcrop=rownonmiss(crop1 crop2 crop3)
reshape long crop prop prod_kgs sold_kgs sold_mks inputs labor sp_fert seed_val, i(qno pl) j(cropnum)
drop if crop==.
gen d_maize_gn=(crop== 18 | crop== 19 | crop== 20 | crop== 21 | crop== 24 | crop== 25 | crop== 26)
gen d_maize=(crop== 24 | crop== 25 | crop== 26)
gen d_gn=(crop== 18 | crop== 19 | crop== 20 | crop== 21)

egen tempR=rowtotal(sold_mks byprod_val)
bys qno: egen R=total(sold_mks)
bys qno : egen R_byp=total(tempR)

egen totalexp=rowtotal(sp_irri sp_fert sp_prot sp_manure sp_tractor sp_labor sp_oxen seed_val) 
egen expnolabor=rowtotal(sp_irri sp_fert sp_prot sp_manure sp_tractor sp_oxen seed_val) 

egen gn1=rowtotal(sp_irri sp_fert sp_prot sp_manure sp_tractor sp_labor sp_oxen seed_val) if d_gn==1
egen maize1=rowtotal(sp_irri sp_fert sp_prot sp_manure sp_tractor sp_labor sp_oxen seed_val) if d_maize==1
egen den1=rowtotal(sp_irri sp_fert sp_prot sp_manure sp_tractor sp_labor sp_oxen seed_val) if d_maize_gn==1

bys qno: egen num_gn=total(gn1) if d_gn==1
bys qno: egen num_maize=total(maize1) if d_maize==1
bys qno: egen den=total(den1) if d_maize_gn==1
bys qno: egen prop_maize=total(num_maize/den)


bys qno: egen K=total(totalexp)
bys qno: egen Kt_temp=total(totalexp) if d_gn==1
bys qno: egen Kt=total(Kt_temp) // this way I can drop duplicates
bys qno: egen K_nolabor=total(expnolabor)

gen Y=R-K
gen Y_byp=R_byp-K

foreach x in sp_irri sp_fert sp_prot sp_manure sp_tractor sp_labor sp_oxen seed_val {
bys qno: egen tot`x' = total(`x')
}

keep qno R R_byp Y Y_byp K Kt K_nolabor totsp_irri totsp_fert totsp_prot totsp_manure totsp_tractor totsp_labor totsp_oxen totseed_val prop_maize
duplicates drop
sort qno 
merge qno using $data\merged_data, keep(treatment)
drop if _m!=3
drop _m

drop if treatment==.			/* KEEP ONLY PPL IN TREATMENT CONTROL GROUP! */
duplicates drop

save $data\prod, replace

log using $result\PRODUCTION, replace t 
tabstat prop_maize, stats(n mean sd p10 p50 p90) c(s)
log close

drop prop_maize
duplicates drop 

log using $result\PRODUCTION, append t 
tabstat R R_byp Y Y_byp K K_nolabor totsp_irri totsp_fert totsp_prot totsp_manure totsp_tractor totsp_labor totsp_oxen totseed_val, ///
stats(n mean sd p10 p50 p90) c(s)
log close

