clear
set more off

//Prepare dta of income from other sources
tempfile inc
u "$data\inc_sources1", clear
recode earned 2=0
replace earned=1 if nonfarm_inc<. & nonfarm_inc>0
replace earned=0 if nonfarm_inc==. | nonfarm_inc==0
replace nonfarm_inc=. if nonfarm_inc==0
replace nonfarm_inc=0 if earned==0
drop t*
gen sname="ag_labor" if source==1
replace sname="nonag_lab" if source==2
replace sname="pub_program" if source==3
replace sname="remit" if source==4
replace sname="gov_benefit" if source==5
replace sname="pension" if source==6
replace sname="other" if source==7
drop sou
reshape wide earned nonfarm_inc, i(qno) j(sname) string
renpfix earned 
renpfix nonfarm_inc val_
save `inc'


u "$data\sav_ins", clear
sort qno
merge 1:1 qno using "$data\income"
drop if _m!=3
drop _m
sum valnow*
replace valnow_bankdep=0 if sav_bankdep==2
replace valnow_cashome=0 if sav_cashome==2
replace valnow_assets=0 if sav_assets==2
replace valnow_club=0 if sav_club==2
replace valnow_other=0 if sav_other==2

foreach x in bankdep cashome assets club other {
gen share_y_`x'=valnow_`x'/y
}
sum share*
merge 1:1 qno using `inc'
drop if _m!=3
drop _m

