clear
capture log close
set more off


// Keep on control/treatment farmers
// Keep only people used to compute moments production
foreach d in hh_data merged_data {
u "$data\\`d'", clear
sort qno
merge qno using "$data\qnoKY", keep(treatment)
drop if _m!=3
drop _m
sort qno
merge qno using "$data\ppl4moments",
drop if _m!=3
drop _m
sort qno
save "$data\\`d't1", replace
}

u "$data\hh_datat1", clear
local list Toutst_loan cred_constr Ttransf_percap yrs_gnut C2000_better days_orientatio d_shadfrank trust_inscom trust_finan ///
net_inc1 drght_inc house_quality resp_yrschool resp_female head_female head_age head_literacy head_edu foodshort resp_age child_mealcut 
foreach temp in head_age head_literacy head_edu foodshort {
impute `temp' `list', gen(`temp'i)
replace `temp'i =round(`temp'i)
}
save "$data\hh_datat", replace
 
u "$data\merged_datat1", clear
local list related_VH extrov sympat selfdisc stable open rosca Eavepr_kgnut underst_ins ///
know_oibm know_mrfc know_60mm drghtinc_val good_health god_drgth aff_gnut1 resp_badrain

foreach temp in aff_gnut1 resp_badrain {
impute `temp' `list', gen(`temp'i)
replace `temp'i = round(`temp'i)
}
save "$data\merged_datat", replace

********************************************************************************* WHAT AFFECT MORE GROUNDNUT PRODUCTION
u "$data\merged_datat", clear
keep qno treatment aff_gnut2 aff_gnut1 aff_gnut1i
duplicates drop
gen prod_rain=(aff_gnut2==1 | aff_gnut1==1)
log using "$result\Perception", replace t
tab1 aff_gnut1i aff_gnut1 
log close

********************************************************************************* CREDIT
u "$data\merged_datat", clear
sort qno
save "$data\merged_datat", replace
keep qno treatment tloan_amount
duplicates drop

log using "$result\Credit", replace t
tabstat tloan_amount  , stats(n mean sd p10 p50 p90) c(s)
log close

u "$data\credit2", clear
sort qno
merge qno using "$data\merged_datat"
drop if _m!=3
replace loanint_time=. if loanint_time==6 | loanint_time==5
replace loanint_pct=. if loanint_time==. | loanint_pct==7777 | loanint_pct==0
replace loanint_pct=loanint_pct/100
gen int_rate = loanint_pct if loanint_time==4
replace int_rate = (1+loanint_pct/2)^2 - 1 if loanint_time==3
replace int_rate = (1+loanint_pct/12)^12 - 1 if loanint_time==2
replace int_rate = (1+loanint_pct/52)^52 - 1 if loanint_time==1

duplicates drop qno int_rate, force

log using "$result\interest rate", replace t
tabstat int_rate , stats(n mean sd p10 p50 p90) c(s)
log close

********************************************************************************* SAVINGS
u "$data\sav_ins", clear
sort qno
merge qno using "$data\merged_datat", keep(wealth treatment)
drop if _m!=3
drop _m
keep qno treatment wealth sav_bankdep sav_cashome sav_assets sav_club sav_other val* 
duplicates drop
replace wealth=wealth*100000
foreach x in bankdep cashome assets club other {
recode sav_`x' 2=1 if valnow_`x'>0 & valnow_`x'!=.
recode sav_`x' 2=0
recode sav_`x' 1=0 if valnow_`x'==0 
} 
log using "$result\Savings", replace t 
foreach x in bankdep cashome assets club {
sum sav_`x' 
tabstat valnow_`x' val0905_`x' if sav_`x'==1, stats(n mean sd p10 p50 p90) c(s)
}
log close

********************************************************************************* RESPONSE TO BAD WEATHER SHOCK
u "$data\merged_datat", clear
keep qno resp_badraini resp_badrain treatment
duplicates drop 
log using "$result\Weather_Response", replace t 
tab1 resp_badraini resp_badrain
log close

********************************************************************************* RISK
u "$data\hh_datat", clear
keep qno treatment takeup treatment disc_factori amb_aversion rrai risktoli trust_inscomi /*trust insurance*/ trust_finani /*trust NASFAM OIBM MRFC*/ /// 
child_mealcut foodshorti
duplicates drop
ren disc_factori disc_rate
gen disc_factor=1/(1+disc_rate)
recode foodshort 2=0
log using "$result\Risk", replace t
tabstat takeup treatment disc_rate disc_factor amb_aversion rrai risktoli trust_inscomi /*trust insurance*/ trust_finani /*trust NASFAM OIBM MRFC*/ /// 
child_mealcut foodshorti  , stats(n mean sd p10 p50 p90) c(s)
*bys treatment: tabstat takeup treatment disc_rate disc_factor amb_aversion rrai risktoli trust_inscomi /*trust insurance*/ trust_finani /*trust NASFAM OIBM MRFC*/ /// 
*child_mealcut foodshort  , stats(n mean sd p10 p50 p90) c(s)
log close

