(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     20079,        459]
NotebookOptionsPosition[     19548,        436]
NotebookOutlinePosition[     19924,        452]
CellTagsIndexPosition[     19881,        449]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["\<\
Contour Plot  & Structural Estimation\
\>", "Section",
 CellChangeTimes->{{3.4913179404946003`*^9, 3.4913179521036*^9}, {
  3.579431288214331*^9, 3.5794312889034*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"GapEmpSim", "[", 
     RowBox[{
      RowBox[{"\[Sigma]\[Epsilon]Search_", "?", "NumberQ"}], ",", 
      RowBox[{"\[Alpha]Search_", "?", "NumberQ"}]}], "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"EstimIteration", "++"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Sigma]\[Epsilon]", "=", "\[Sigma]\[Epsilon]Search"}], ";", 
       RowBox[{"\[Alpha]", "=", "\[Alpha]Search"}], ";", 
       RowBox[{"(*", " ", 
        RowBox[{"parameters", " ", "to", " ", "be", " ", "estimated"}], " ", 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"\[Sigma]\[Epsilon]EstVec", ",", "\[Sigma]\[Epsilon]"}], 
        "]"}], ";", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"\[Alpha]EstVec", ",", "\[Alpha]"}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"Solve", " ", "policy", " ", "functions"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"Ind", "=", "\"\<Baseline\>\""}], ";", 
       "Solve\[ScriptC]Func\[ScriptV]Func", ";", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"\[ScriptC]F", ",", "\[ScriptV]F", ",", "\[ScriptK]F"}], 
         "}"}], "=", 
        RowBox[{"{", 
         RowBox[{
         "\[ScriptC]OUT", ",", "\[ScriptV]OUT", ",", "\[ScriptK]OUT"}], 
         "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[ScriptW]0", "=", 
        RowBox[{"\[ScriptW]t", "/.", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"\[ScriptW]t", "\[Equal]", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"\[Eta]Vec", ".", "\[Eta]VecProb"}], ")"}], 
              RowBox[{"(", 
               RowBox[{"\[ScriptCapitalA]", " ", 
                RowBox[{
                 RowBox[{"\[ScriptK]F", "[", "\[ScriptW]t", "]"}], "^", 
                 RowBox[{"(", "\[Alpha]", ")"}]}]}], ")"}]}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptW]t", ",", "1", ",", "9000"}], "}"}]}], 
          "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", "Simulate", " ", "*)"}], "\[IndentingNewLine]", 
       "Construct\[Epsilon]SimulShock", ";", "\[IndentingNewLine]", 
       RowBox[{"Simulate", "[", "\[ScriptW]0", "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"SimMedian", "=", 
        RowBox[{"Median", "[", 
         RowBox[{"\[ScriptY]tp1Vec", "/", "\[ScriptK]tVec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"SimSD", "=", 
        RowBox[{"StandardDeviation", "[", 
         RowBox[{"\[ScriptY]tp1Vec", "/", "\[ScriptK]tVec"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AbsGap", "=", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{"SimSD", "-", "DataSD"}], "]"}], "+", 
          RowBox[{"Abs", "[", 
           RowBox[{"SimMedian", "-", "DataMedian"}], "]"}]}], ")"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"AbsGapVec", ",", "AbsGap"}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"PercGap", "=", 
        RowBox[{
         RowBox[{"100", " ", 
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{"SimSD", "-", "DataSD"}], "]"}], "/", "DataSD"}]}], "+", 
         RowBox[{"100", " ", 
          RowBox[{
           RowBox[{"Abs", "[", 
            RowBox[{"SimMedian", "-", "DataMedian"}], "]"}], "/", 
           "DataMedian"}]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"PercGapVec", ",", "PercGap"}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"\[ScriptW]0Vec", ",", "\[ScriptW]0"}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"time", "=", 
        RowBox[{"N", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"SessionTime", "[", "]"}], "-", "TimerOn"}], ")"}], "/", 
           "60"}], ",", "3"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"IntegerQ", "[", 
          RowBox[{"EstimIteration", "/", "10"}], "]"}], ",", 
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<{Iteration,time,\[Sigma]\[Epsilon],\[Alpha],SimMedian,SimSD,\
AbsoluteGap,PercentageGap}=\>\"", ",", 
           RowBox[{"{", 
            RowBox[{
            "EstimIteration", ",", "time", ",", "\[Sigma]\[Epsilon]", ",", 
             "\[Alpha]", ",", "SimMedian", ",", "SimSD", ",", "AbsGap", ",", 
             "PercGap"}], "}"}]}], "]"}]}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"StructuralEstimation", "[", 
    RowBox[{
     RowBox[{"\[Sigma]\[Epsilon]Search_", "?", "NumberQ"}], ",", 
     RowBox[{"\[Alpha]Search_", "?", "NumberQ"}]}], "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"GapEmpSim", "[", 
       RowBox[{"\[Sigma]\[Epsilon]Search", ",", "\[Alpha]Search"}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"PercGap", "<", "0.01"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[Sigma]\[Epsilon]Est", ",", "\[Alpha]Est"}], "}"}], "=", 
          RowBox[{"{", 
           RowBox[{"\[Sigma]\[Epsilon]", ",", "\[Alpha]"}], "}"}]}], ";", 
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<{\[Sigma]\[ScriptCapitalA],\[Alpha],PercentageGap}=\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"\[Sigma]\[Epsilon]", ",", "\[Alpha]", ",", "PercGap"}], 
            "}"}]}], "]"}], ";", 
         RowBox[{"Goto", "[", "end", "]"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", " ", 
       RowBox[{
        RowBox[{"EstimIteration", ">", "101"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"PosBestEstimate", "=", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"PercGapVec", ",", 
             RowBox[{"Min", "[", "PercGapVec", "]"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[Sigma]\[Epsilon]Est", ",", "\[Alpha]Est"}], "}"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Sigma]\[Epsilon]EstVec", "[", 
             RowBox[{"[", "PosBestEstimate", "]"}], "]"}], ",", 
            RowBox[{"\[Alpha]EstVec", "[", 
             RowBox[{"[", "PosBestEstimate", "]"}], "]"}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Goto", "[", "end", "]"}]}]}], "]"}], ";", " ", 
      RowBox[{"(*", " ", 
       RowBox[{"stopping", " ", "criterion"}], " ", "*)"}], 
      "\[IndentingNewLine]", "PercGap"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4758601946289997`*^9, 3.475860235257*^9}, {
   3.475860281078*^9, 3.4758603000299997`*^9}, 3.475860770443*^9, {
   3.475862610401*^9, 3.4758626416140003`*^9}, {3.475863381512*^9, 
   3.4758633928199997`*^9}, {3.4770541630868*^9, 3.4770541702578*^9}, {
   3.4770548570648003`*^9, 3.4770548731148*^9}, {3.4770554037668*^9, 
   3.4770554070448*^9}, {3.4770812526164303`*^9, 3.4770812671494303`*^9}, {
   3.4771422213112*^9, 3.4771422363192*^9}, {3.4771495957029*^9, 
   3.4771496013159*^9}, {3.4771546389959*^9, 3.4771546400789003`*^9}, 
   3.477157122854126*^9, {3.4771578326823263`*^9, 3.4771578547813263`*^9}, {
   3.480681677742*^9, 3.48068167969*^9}, {3.481536794051*^9, 
   3.481536796592*^9}, {3.4822362835394*^9, 3.4822362836774*^9}, {
   3.4854622633294344`*^9, 3.485462380829034*^9}, {3.4854624190070343`*^9, 
   3.485462457410634*^9}, {3.485462511221834*^9, 3.485462519679034*^9}, {
   3.487332193993477*^9, 3.4873322102234774`*^9}, {3.487343512369*^9, 
   3.487343533967*^9}, 3.4886261244348*^9, {3.4887230507646255`*^9, 
   3.488723053332626*^9}, {3.488736572064226*^9, 3.4887365929332256`*^9}, {
   3.488965752001252*^9, 3.4889657548182526`*^9}, 3.488966996147252*^9, {
   3.4889683636632524`*^9, 3.4889684356442523`*^9}, {3.4889880576722527`*^9, 
   3.4889880663282523`*^9}, {3.4889880994432526`*^9, 3.4889881077242527`*^9}, 
   3.4889882903422527`*^9, {3.488989864859*^9, 3.488990037524*^9}, {
   3.4889912827460003`*^9, 3.488991322433*^9}, {3.488992044105*^9, 
   3.488992046868*^9}, {3.488992284862*^9, 3.488992438918*^9}, 
   3.4889934255360003`*^9, {3.488993466301*^9, 3.488993506778*^9}, {
   3.4889950596*^9, 3.488995078916*^9}, {3.488996099523*^9, 
   3.488996100726*^9}, {3.488997092641*^9, 3.4889970964890003`*^9}, {
   3.488997738171*^9, 3.488997791076*^9}, {3.4889982265360003`*^9, 
   3.4889982331470003`*^9}, {3.4889984874189997`*^9, 3.488998493808*^9}, {
   3.488998701273*^9, 3.488998758814*^9}, 3.488998799359*^9, {
   3.488999345538*^9, 3.4889993516610003`*^9}, 3.489000820851618*^9, 
   3.489001383290618*^9, 3.4890023311926174`*^9, {3.4890023623356175`*^9, 
   3.489002362745618*^9}, {3.4890074043786173`*^9, 3.4890074198996177`*^9}, {
   3.489066618841*^9, 3.489066625166*^9}, {3.4890753961809998`*^9, 
   3.48907539695*^9}, {3.4890831918624706`*^9, 3.4890832039544706`*^9}, 
   3.4891002791332865`*^9, {3.489101033549287*^9, 3.489101041427287*^9}, 
   3.489101640152687*^9, {3.489102188570687*^9, 3.489102190302287*^9}, {
   3.489102233249087*^9, 3.4891022496446867`*^9}, 3.4891421772652225`*^9, 
   3.489143206129223*^9, {3.4894328222586308`*^9, 3.4894328224236307`*^9}, {
   3.4895009087088766`*^9, 3.4895009112128763`*^9}, {3.489502329641876*^9, 
   3.489502337662876*^9}, {3.489502415367876*^9, 3.4895024380988765`*^9}, 
   3.4898366300852003`*^9, {3.4898372167192*^9, 3.4898372449202003`*^9}, {
   3.489856544551697*^9, 3.4898565462906966`*^9}, 3.490010562177*^9, 
   3.490017590348*^9, {3.490297764947844*^9, 3.490297772492844*^9}, 
   3.490299097084844*^9, {3.4906213175666924`*^9, 3.490621323359692*^9}, 
   3.4907390871088*^9, {3.4907396522967997`*^9, 3.4907396718904*^9}, {
   3.4907397511851997`*^9, 3.4907397526204*^9}, 3.4907402102497997`*^9, {
   3.4907411664049997`*^9, 3.4907411729882*^9}, {3.4907412404894*^9, 
   3.4907413131542*^9}, {3.490741364291*^9, 3.4907413739941998`*^9}, {
   3.4907414619625998`*^9, 3.4907416537646*^9}, {3.490741685417*^9, 
   3.4907417202518*^9}, {3.4907418277358*^9, 3.4907418549110003`*^9}, {
   3.4907423535354*^9, 3.490742379284*^9}, 3.4907424203286*^9, {
   3.4907425293101997`*^9, 3.4907425331322002`*^9}, {3.4907426211162*^9, 
   3.4907426620193996`*^9}, 3.4907433534737997`*^9, {3.490744645653*^9, 
   3.490744646433*^9}, {3.4907451126702003`*^9, 3.4907451183954*^9}, {
   3.4907453012174*^9, 3.4907453558642*^9}, 3.4907462762504*^9, {
   3.49074726569*^9, 3.4907472707911997`*^9}, {3.4907489159582987`*^9, 
   3.490748937002699*^9}, {3.490748971275899*^9, 3.490748971369499*^9}, {
   3.4907851737220993`*^9, 3.490785221130499*^9}, {3.490785276510499*^9, 
   3.490785310081699*^9}, {3.490895241759*^9, 3.49089527815*^9}, {
   3.490898565939*^9, 3.4908986169198*^9}, {3.4908986523514*^9, 
   3.490898656657*^9}, {3.4909178838185196`*^9, 3.4909178901415195`*^9}, {
   3.4909746053602867`*^9, 3.490974622769887*^9}, {3.490975237363887*^9, 
   3.490975240547887*^9}, {3.490991539322646*^9, 3.4909915411946464`*^9}, {
   3.4910439109378*^9, 3.4910439175908003`*^9}, {3.4910471885818*^9, 
   3.4910471937567997`*^9}, {3.4910521733866*^9, 3.4910521734835997`*^9}, {
   3.4910556748042*^9, 3.4910556802953997`*^9}, {3.4910574396726*^9, 
   3.4910574402956*^9}, 3.4912182997384067`*^9, 3.4912215230670066`*^9, 
   3.4912223106200066`*^9, {3.4913172235296*^9, 3.4913172284186*^9}, {
   3.4913178386576*^9, 3.4913178411566*^9}, 3.491343519397214*^9, {
   3.494409367521681*^9, 3.494409367545681*^9}, {3.4976157957953997`*^9, 
   3.4976157987084*^9}, 3.579437786051092*^9, 3.579437956218107*^9, {
   3.57943925317779*^9, 3.5794392537218447`*^9}, {3.616425239972681*^9, 
   3.6164252443199854`*^9}, 3.616494606996756*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Standard Errors", "Section",
 CellChangeTimes->{{3.4913177940336*^9, 3.4913177996726*^9}, {
  3.4913178743966*^9, 3.4913178807396*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"GapEmpSimSD", "[", 
    RowBox[{
     RowBox[{"\[Sigma]\[Epsilon]Search_", "?", "NumberQ"}], ",", 
     RowBox[{"\[Alpha]Search_", "?", "NumberQ"}]}], "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"EstimIteration", "++"}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[Sigma]\[Epsilon]", "=", "\[Sigma]\[Epsilon]Search"}], ";", 
      RowBox[{"\[Alpha]", "=", "\[Alpha]Search"}], ";", 
      RowBox[{"(*", " ", 
       RowBox[{"parameters", " ", "to", " ", "be", " ", "estimated"}], " ", 
       "*)"}], "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[Sigma]\[Epsilon]EstVec", ",", "\[Sigma]\[Epsilon]"}], "]"}],
       ";", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[Alpha]EstVec", ",", "\[Alpha]"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", " ", 
       RowBox[{"Solve", " ", "policy", " ", "functions"}], " ", "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"Ind", "=", "\"\<Baseline\>\""}], ";", 
      "Solve\[ScriptC]Func\[ScriptV]Func", ";", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[ScriptC]F", ",", "\[ScriptV]F", ",", "\[ScriptK]F"}], 
        "}"}], "=", 
       RowBox[{"{", 
        RowBox[{"\[ScriptC]OUT", ",", "\[ScriptV]OUT", ",", "\[ScriptK]OUT"}],
         "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]0", "=", 
       RowBox[{"\[ScriptW]t", "/.", 
        RowBox[{"FindRoot", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[ScriptW]t", "\[Equal]", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Eta]Vec", ".", "\[Eta]VecProb"}], ")"}], 
             RowBox[{"(", 
              RowBox[{"\[ScriptCapitalA]", " ", 
               RowBox[{
                RowBox[{"\[ScriptK]F", "[", "\[ScriptW]t", "]"}], "^", 
                RowBox[{"(", "\[Alpha]", ")"}]}]}], ")"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"\[ScriptW]t", ",", "1", ",", "9000"}], "}"}]}], "]"}]}]}],
       ";", "\[IndentingNewLine]", 
      RowBox[{"(*", " ", "Simulate", " ", "*)"}], "\[IndentingNewLine]", 
      "Construct\[Epsilon]SimulShock", ";", "\[IndentingNewLine]", 
      RowBox[{"Simulate", "[", "\[ScriptW]0", "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"SimMedian", "=", 
       RowBox[{"Median", "[", 
        RowBox[{"\[ScriptY]tp1Vec", "/", "\[ScriptK]tVec"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"SimSD", "=", 
       RowBox[{"StandardDeviation", "[", 
        RowBox[{"\[ScriptY]tp1Vec", "/", "\[ScriptK]tVec"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"AbsGap", "=", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Abs", "[", 
          RowBox[{"SimSD", "-", "DataSD"}], "]"}], "+", 
         RowBox[{"Abs", "[", 
          RowBox[{"SimMedian", "-", "DataMedian"}], "]"}]}], ")"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"AbsGapVec", ",", "AbsGap"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"PercGap", "=", 
       RowBox[{
        RowBox[{"100", " ", 
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{"SimSD", "-", "DataSD"}], "]"}], "/", "DataSD"}]}], "+", 
        RowBox[{"100", " ", 
         RowBox[{
          RowBox[{"Abs", "[", 
           RowBox[{"SimMedian", "-", "DataMedian"}], "]"}], "/", 
          "DataMedian"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"PercGapVec", ",", "PercGap"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[ScriptW]0Vec", ",", "\[ScriptW]0"}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"time", "=", 
       RowBox[{"N", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"SessionTime", "[", "]"}], "-", "TimerOn"}], ")"}], "/", 
          "60"}], ",", "3"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"PercGap", "<", "0.01"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[Sigma]\[Epsilon]Est", ",", "\[Alpha]Est"}], "}"}], "=", 
          RowBox[{"{", 
           RowBox[{"\[Sigma]\[Epsilon]", ",", "\[Alpha]"}], "}"}]}], ";", 
         RowBox[{"Print", "[", 
          RowBox[{
          "\"\<{\[Sigma]\[ScriptCapitalA],\[Alpha],PercentageGap}=\>\"", ",", 
           RowBox[{"{", 
            RowBox[{"\[Sigma]\[Epsilon]", ",", "\[Alpha]", ",", "PercGap"}], 
            "}"}]}], "]"}], ";", 
         RowBox[{"Goto", "[", "end", "]"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", " ", 
       RowBox[{
        RowBox[{"EstimIteration", ">", "101"}], ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"PosBestEstimate", "=", 
          RowBox[{
           RowBox[{"Position", "[", 
            RowBox[{"PercGapVec", ",", 
             RowBox[{"Min", "[", "PercGapVec", "]"}]}], "]"}], "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"\[Sigma]\[Epsilon]Est", ",", "\[Alpha]Est"}], "}"}], "=", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Sigma]\[Epsilon]EstVec", "[", 
             RowBox[{"[", "PosBestEstimate", "]"}], "]"}], ",", 
            RowBox[{"\[Alpha]EstVec", "[", 
             RowBox[{"[", "PosBestEstimate", "]"}], "]"}]}], "}"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"Goto", "[", "end", "]"}]}]}], "]"}], ";", " ", 
      RowBox[{"(*", " ", 
       RowBox[{"stopping", " ", "criterion"}], " ", "*)"}], 
      "\[IndentingNewLine]", "PercGap"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4913178250336*^9, 3.4913178587826*^9}, 
   3.4916469301065936`*^9, {3.4944093675966806`*^9, 3.4944093676016808`*^9}, {
   3.5794374710335937`*^9, 3.57943749079657*^9}, 3.5794378016356506`*^9, {
   3.579953450530345*^9, 3.5799534651048026`*^9}, {3.579953689986288*^9, 
   3.5799536951198015`*^9}, 3.6164252489213653`*^9, {3.6164260383459477`*^9, 
   3.616426039648078*^9}, 3.616494629160972*^9}]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1584, 765},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (32-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 177, 4, 86, "Section"],
Cell[747, 28, 12276, 246, 612, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[13060, 279, 141, 2, 86, "Section"],
Cell[13204, 283, 6328, 150, 512, "Input",
 InitializationCell->True]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
