(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     46538,        896]
NotebookOptionsPosition[     45917,        870]
NotebookOutlinePosition[     46328,        887]
CellTagsIndexPosition[     46285,        884]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Marginal utilities at t+1", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.4152703691636*^9, 3.4152703783656*^9}, {
   3.4152713746736*^9, 3.4152713812125998`*^9}, {3.422270972916*^9, 
   3.4222709964110003`*^9}, {3.4457757914903*^9, 3.4457758098253*^9}, {
   3.4491703233269997`*^9, 3.4491703342060003`*^9}, {3.4658421430746813`*^9, 
   3.4658421655656815`*^9}, {3.4658422464406815`*^9, 
   3.4658423259696817`*^9}, {3.4659227057681*^9, 3.4659227145841*^9}, 
   3.4666256643575*^9, {3.5794311628257933`*^9, 3.579431162956807*^9}},
 FontSize->14],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[ScriptCapitalV]P\[ScriptK]t", "[", 
     RowBox[{"\[ScriptK]t_", ",", "\[Iota]t_"}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]VecProb", "[", 
         RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], 
        RowBox[{"\[Epsilon]VecProb", "[", 
         RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], "\[Alpha]", " ", 
        "\[ScriptCapitalA]", " ", 
        RowBox[{"\[Epsilon]Vec", "[", 
         RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
        SuperscriptBox[
         RowBox[{"\[ScriptK]t", " "}], 
         RowBox[{"(", 
          RowBox[{"\[Alpha]", "-", "1"}], ")"}]], 
        RowBox[{"\[Eta]Vec", "[", 
         RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "\[IndentingNewLine]", 
        RowBox[{"\[ScriptU]P", "[", 
         RowBox[{
          RowBox[{"Last", "[", "\[ScriptC]FuncVec", "]"}], "[", 
          RowBox[{
           RowBox[{"\[ScriptCapitalA]", " ", 
            RowBox[{"\[Epsilon]Vec", "[", 
             RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], " ", 
            SuperscriptBox["\[ScriptK]t", "\[Alpha]"], 
            RowBox[{"\[Eta]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], "+", " ", 
           RowBox[{
            RowBox[{"\[Epsilon]Vec", "[", 
             RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], "\[Iota]t", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"\[Eta]Vec", "[", 
                 RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}], "-", 
              "\[ScriptCapitalP]t"}], ")"}]}]}], "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]Loop", ",", "1", ",", 
         RowBox[{"Length", "[", "\[Epsilon]Vec", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Eta]Loop", ",", "1", ",", 
         RowBox[{"Length", "[", "\[Eta]Vec", "]"}]}], "}"}]}], "]"}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[ScriptCapitalV]P\[Iota]t", "[", 
     RowBox[{"\[ScriptK]t_", ",", "\[Iota]t_"}], "]"}], ":=", 
    "\[IndentingNewLine]", 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]VecProb", "[", 
         RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], 
        RowBox[{"\[Epsilon]VecProb", "[", 
         RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], " ", 
        RowBox[{"\[Epsilon]Vec", "[", 
         RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[Eta]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}], "-", 
          "\[ScriptCapitalP]t"}], ")"}], "\[IndentingNewLine]", 
        RowBox[{"\[ScriptU]P", "[", 
         RowBox[{
          RowBox[{"Last", "[", "\[ScriptC]FuncVec", "]"}], "[", 
          RowBox[{
           RowBox[{"\[ScriptCapitalA]", " ", 
            RowBox[{"\[Epsilon]Vec", "[", 
             RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], " ", 
            SuperscriptBox["\[ScriptK]t", "\[Alpha]"], 
            RowBox[{"\[Eta]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], "+", " ", 
           RowBox[{
            RowBox[{"\[Epsilon]Vec", "[", 
             RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], "\[Iota]t", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "-", 
                RowBox[{"\[Eta]Vec", "[", 
                 RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}], "-", 
              "\[ScriptCapitalP]t"}], ")"}]}]}], "]"}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]Loop", ",", "1", ",", 
         RowBox[{"Length", "[", "\[Epsilon]Vec", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Eta]Loop", ",", "1", ",", 
         RowBox[{"Length", "[", "\[Eta]Vec", "]"}]}], "}"}]}], "]"}]}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalV]tp1", "[", 
    RowBox[{"\[ScriptK]t_", ",", "\[Iota]t_"}], "]"}], ":=", 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Eta]VecProb", "[", 
        RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], 
       RowBox[{"\[Epsilon]VecProb", "[", 
        RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
       RowBox[{
        RowBox[{"Last", "[", "\[ScriptV]FuncVec", "]"}], "[", 
        RowBox[{
         RowBox[{"\[ScriptCapitalA]", " ", 
          RowBox[{"\[Epsilon]Vec", "[", 
           RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], " ", 
          SuperscriptBox["\[ScriptK]t", "\[Alpha]"], 
          RowBox[{"\[Eta]Vec", "[", 
           RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], "+", " ", 
         RowBox[{
          RowBox[{"\[Epsilon]Vec", "[", 
           RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], "\[Iota]t", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"\[Eta]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}], "-", 
            "\[ScriptCapitalP]t"}], ")"}]}]}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Epsilon]Loop", ",", "1", ",", 
        RowBox[{"Length", "[", "\[Epsilon]Vec", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Eta]Loop", ",", "1", ",", 
        RowBox[{"Length", "[", "\[Eta]Vec", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4752636439027*^9, 3.4752636441777*^9}, {
   3.4752636742667*^9, 3.4752636745317*^9}, {3.478877694752923*^9, 
   3.478877715711923*^9}, {3.478878558565923*^9, 3.478878570927923*^9}, {
   3.4788786426099234`*^9, 3.478878643920923*^9}, {3.478880926632923*^9, 
   3.4788809460519233`*^9}, {3.4795615158721*^9, 3.4795615312931004`*^9}, {
   3.4802670963047*^9, 3.4802672753297*^9}, 3.4802673336027*^9, {
   3.4802673807127*^9, 3.4802674029247*^9}, {3.4802678052177*^9, 
   3.4802678188986998`*^9}, {3.4802680450367002`*^9, 3.4802681669617*^9}, {
   3.4805035687797976`*^9, 3.480503614768797*^9}, {3.480503671457797*^9, 
   3.4805036729087973`*^9}, {3.4805039604727974`*^9, 
   3.4805039878407974`*^9}, {3.480504050534797*^9, 3.4805040583757973`*^9}, {
   3.480506345231797*^9, 3.480506367107797*^9}, {3.4805991324689617`*^9, 
   3.480599243741962*^9}, {3.480604918534666*^9, 3.480604927939666*^9}, {
   3.480605819444666*^9, 3.480605869833666*^9}, {3.4822364608054*^9, 
   3.4822364611274*^9}, {3.4856750119594336`*^9, 3.485675016656433*^9}, {
   3.4856750771914334`*^9, 3.4856751311194334`*^9}, {3.489138369156223*^9, 
   3.4891383695482225`*^9}, {3.4907346031851997`*^9, 3.4907346258988*^9}, {
   3.490734709234*^9, 3.4907347184692*^9}, {3.4943521607614*^9, 
   3.4943521695434*^9}, {3.4943522591563997`*^9, 3.4943522738054*^9}, {
   3.4943523385214*^9, 3.4943523423873997`*^9}, {3.4943524004404*^9, 
   3.4943524469114*^9}, {3.4943528995764*^9, 3.4943529145404*^9}, {
   3.4943529461303997`*^9, 3.4943529575204*^9}, {3.4943530168624*^9, 
   3.4943530763044*^9}, 3.4943532171344*^9, {3.4943533386924*^9, 
   3.4943533583684*^9}, {3.4943536054744*^9, 3.4943536060354*^9}, {
   3.494371949731*^9, 3.4943719499230003`*^9}, {3.494375283042*^9, 
   3.4943752834890003`*^9}, {3.4943758158529997`*^9, 
   3.4943758562200003`*^9}, {3.494408497505681*^9, 3.4944085428986807`*^9}, {
   3.494408593106681*^9, 3.4944085964636807`*^9}, 3.4944086285226808`*^9, {
   3.494418452501*^9, 3.4944184742679996`*^9}, {3.4944215532139997`*^9, 
   3.4944215784110003`*^9}, {3.494421609505*^9, 3.494421629023*^9}, {
   3.4944220321210003`*^9, 3.494422049824*^9}, {3.494491570012*^9, 
   3.4944916092019997`*^9}, {3.4957151846518*^9, 3.4957152220762*^9}, {
   3.4957882611742*^9, 3.4957883291422*^9}, 3.4957943649602003`*^9, {
   3.4957950240902*^9, 3.4957950779182*^9}, {3.4957958439312*^9, 
   3.4957958754322*^9}, {3.4958000961401997`*^9, 3.4958001378241997`*^9}, {
   3.5700464890603256`*^9, 3.5700464897043624`*^9}, {3.5794315659341*^9, 
   3.5794315731148186`*^9}, 3.5794320607035723`*^9, {3.5820250180581446`*^9, 
   3.5820250239451447`*^9}, {3.5820250564241447`*^9, 3.5820250622391443`*^9}, 
   3.58202525404115*^9, {3.582025465871331*^9, 3.582025485894334*^9}, {
   3.582026887840534*^9, 3.582026899014534*^9}, {3.58203107727704*^9, 
   3.5820310781571283`*^9}, {3.5820317833221073`*^9, 
   3.5820318236521072`*^9}, {3.5830761420573797`*^9, 
   3.5830761529134655`*^9}, {3.5830793178903627`*^9, 3.583079341702362*^9}, {
   3.5830794033953624`*^9, 3.5830794155953627`*^9}, {3.6216702134484262`*^9, 
   3.621670213673439*^9}},
 FontSize->14]
}, Open  ]],

Cell[CellGroupData[{

Cell["Backward Solution Routine", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.4457757445053*^9, 3.4457757528653*^9}},
 FontSize->14],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Solve\[ScriptC]Func\[ScriptV]Func", ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Construct\[Epsilon]PolFuncShock", ";", "\[IndentingNewLine]", 
      RowBox[{"Iteration", "=", "0"}], ";", "\[IndentingNewLine]", 
      "Initialize\[ScriptC]Func\[ScriptV]Func", ";", "\[IndentingNewLine]", 
      "BackwardIteration\[ScriptC]Func\[ScriptV]Func", ";"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Initialize\[ScriptC]Func\[ScriptV]Func", ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[ScriptC]FuncVec", " ", "=", 
       RowBox[{"{", 
        RowBox[{"Interpolation", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"\[ScriptW]Min", ",", "\[ScriptC]Min"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"10000.", ",", "10000."}], "}"}]}], "}"}], ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "}"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptV]FuncVec", "=", " ", 
       RowBox[{"{", "\[ScriptU]", "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptK]Func", "=", 
       RowBox[{"\[Iota]Func", "=", 
        RowBox[{"{", "}"}]}]}], ";"}]}], "\[IndentingNewLine]", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BackwardIteration\[ScriptC]Func\[ScriptV]Func", ":=", " ", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"While", "[", 
       RowBox[{"True", " ", ",", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"++", "Iteration"}], ";", "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"Iteration", ">", "1000"}], ",", 
           RowBox[{
            RowBox[{"Print", "[", "\"\<Above 1000 iterations!!!\>\"", "]"}], 
            ";", 
            RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         "DoOneBackwardIteration\[ScriptC]Func\[ScriptV]Func", ";", 
         "\[IndentingNewLine]", 
         RowBox[{"CurrentIterationGap", "=", 
          RowBox[{"Max", "[", 
           RowBox[{"100", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Join", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"(", 
                  RowBox[{"-", 
                   RowBox[{
                    RowBox[{"\[ScriptV]FuncVec", "[", 
                    RowBox[{"[", 
                    RowBox[{"-", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"5", ";;", 
                    RowBox[{"-", "5"}]}], ",", "1"}], "]"}], "]"}], "]"}]}], 
                  ")"}], "/", 
                 RowBox[{"(", 
                  RowBox[{"-", 
                   RowBox[{
                    RowBox[{"\[ScriptV]FuncVec", "[", 
                    RowBox[{"[", 
                    RowBox[{"-", "2"}], "]"}], "]"}], "[", 
                    RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"5", ";;", 
                    RowBox[{"-", "5"}]}], ",", "1"}], "]"}], "]"}], "]"}]}], 
                  ")"}]}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"\[ScriptC]FuncVec", "[", 
                   RowBox[{"[", 
                    RowBox[{"-", "2"}], "]"}], "]"}], "[", 
                  RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"5", ";;", 
                    RowBox[{"-", "5"}]}], ",", "1"}], "]"}], "]"}], "]"}], 
                 "/", 
                 RowBox[{
                  RowBox[{"\[ScriptC]FuncVec", "[", 
                   RowBox[{"[", 
                    RowBox[{"-", "1"}], "]"}], "]"}], "[", 
                  RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "[", 
                   RowBox[{"[", 
                    RowBox[{
                    RowBox[{"5", ";;", 
                    RowBox[{"-", "5"}]}], ",", "1"}], "]"}], "]"}], "]"}]}]}],
                "]"}], "-", "1"}], ")"}]}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"CurrentIterationGap", "<", "MaxIterationGap"}], " ", "||",
             " ", 
            RowBox[{"Iteration", ">", "MaxIteration"}]}], ",", 
           RowBox[{"Break", "[", "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
       "]"}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptC]OUT", "=", 
       RowBox[{"\[ScriptC]FuncVec", "[", 
        RowBox[{"[", 
         RowBox[{"-", "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptK]OUT", "=", 
       RowBox[{"Interpolation", "[", 
        RowBox[{"\[ScriptW]t\[ScriptK]t", ",", 
         RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[Iota]OUT", "=", 
       RowBox[{"Interpolation", "[", 
        RowBox[{"\[ScriptW]t\[Iota]t", ",", 
         RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[ScriptV]OUT", "=", 
       RowBox[{
        RowBox[{"Evaluate", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"Evaluate", "[", 
              RowBox[{
               RowBox[{"Interpolation", "[", 
                RowBox[{"\[ScriptW]t\[ScriptV]tTransf", ",", 
                 RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "[",
                "#", "]"}], "]"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Rho]"}], ")"}]}], ")"}], "/", 
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Rho]"}], ")"}]}], "]"}], "&"}]}], ";"}]}], 
    "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DoOneBackwardIteration\[ScriptC]Func\[ScriptV]Func", ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"Ind", "\[Equal]", "\"\<Baseline\>\""}], ",", 
        RowBox[{
         RowBox[{"\[Iota]t", "=", 
          RowBox[{"ConstantArray", "[", 
           RowBox[{"0.", ",", 
            RowBox[{"Length", "[", "\[ScriptS]tGrid", "]"}]}], "]"}]}], ";", 
         RowBox[{"\[ScriptK]t", "=", "\[ScriptS]tGrid"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"If", "[", 
       RowBox[{
        RowBox[{"Ind", "\[Equal]", "\"\<Insurance\>\""}], ",", 
        RowBox[{
         RowBox[{"\[ScriptK]t", "=", "\[ScriptS]tGrid"}], ";", 
         RowBox[{"\[Iota]t", "=", 
          RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
         RowBox[{"Do", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"\[ScriptK]Ins", "=", 
             RowBox[{"\[ScriptS]tGrid", "[", 
              RowBox[{"[", "\[ScriptK]InsLoop", "]"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"MaxIns", "=", 
             RowBox[{"\[ScriptCapitalA]", " ", 
              SuperscriptBox["\[ScriptK]Ins", "\[Alpha]"]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Iota]", "=", 
             RowBox[{"\[Iota]", "/.", 
              RowBox[{"FindRoot", "[", 
               RowBox[{
                RowBox[{
                 RowBox[{"\[ScriptCapitalV]P\[Iota]t", "[", 
                  RowBox[{"\[ScriptK]Ins", ",", "\[Iota]"}], "]"}], 
                 "\[Equal]", "0."}], ",", 
                RowBox[{"{", 
                 RowBox[{"\[Iota]", ",", 
                  RowBox[{"0.2", "MaxIns"}], ",", "0.", ",", "MaxIns"}], 
                 "}"}]}], "]"}]}]}], ";", "\[IndentingNewLine]", " ", 
            RowBox[{"PrependTo", "[", 
             RowBox[{"\[Iota]t", ",", "\[Iota]"}], "]"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"\[ScriptK]InsLoop", ",", 
             RowBox[{"Length", "[", "\[ScriptS]tGrid", "]"}], ",", "1", ",", 
             RowBox[{"-", "1"}]}], "}"}]}], "]"}]}]}], "]"}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[ScriptC]t", " ", "=", 
       RowBox[{"\[ScriptU]Pinverse", "[", 
        RowBox[{"\[ScriptCapitalV]P\[ScriptK]t", "[", 
         RowBox[{"\[ScriptK]t", ",", "\[Iota]t"}], "]"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t", " ", "=", " ", 
       RowBox[{"\[ScriptC]t", "+", "\[ScriptK]t"}]}], ";", "   ", 
      "\[IndentingNewLine]", 
      RowBox[{"\[ScriptV]t", "=", 
       RowBox[{
        RowBox[{"\[ScriptU]", "[", "\[ScriptC]t", "]"}], "+", 
        RowBox[{"\[ScriptCapitalV]tp1", "[", 
         RowBox[{"\[ScriptK]t", ",", "\[Iota]t"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t\[ScriptC]t", "=", 
       RowBox[{"Union", "[", 
        RowBox[{"Chop", "[", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]Min", ",", "\[ScriptC]Min"}], "}"}], "}"}], 
           ",", 
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]t", ",", "\[ScriptC]t"}], "}"}], "]"}]}], 
          "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "=", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{"\[ScriptW]t", ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Rho]"}], ")"}], "\[ScriptV]t"}], ")"}], 
           "^", 
           RowBox[{"(", 
            FractionBox["1", 
             RowBox[{"1", "-", "\[Rho]"}]], ")"}]}]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "=", 
       RowBox[{"PrependTo", "[", 
        RowBox[{"\[ScriptW]t\[ScriptV]tTransf", ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0"}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[ScriptK]Min", "=", "0."}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t\[ScriptK]t", "=", 
       RowBox[{"Union", "[", 
        RowBox[{"Chop", "[", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]Min", ",", "\[ScriptK]Min"}], "}"}], "}"}], 
           ",", 
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]t", ",", "\[ScriptK]t"}], "}"}], "]"}]}], 
          "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t\[Iota]t", "=", 
       RowBox[{"Union", "[", 
        RowBox[{"Chop", "[", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]Min", ",", "\[Iota]Min"}], "}"}], "}"}], ",", 
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]t", ",", "\[Iota]t"}], "}"}], "]"}]}], "]"}], 
         "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[ScriptC]FuncVec", ",", 
        RowBox[{"Interpolation", "[", 
         RowBox[{"\[ScriptW]t\[ScriptC]t", ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[ScriptK]Func", ",", 
        RowBox[{"Interpolation", "[", 
         RowBox[{"\[ScriptW]t\[ScriptK]t", ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[Iota]Func", ",", 
        RowBox[{"Interpolation", "[", 
         RowBox[{"\[ScriptW]t\[Iota]t", ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[ScriptV]FuncVec", ",", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Evaluate", "[", 
               RowBox[{
                RowBox[{"Interpolation", "[", 
                 RowBox[{"\[ScriptW]t\[ScriptV]tTransf", ",", 
                  RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], 
                "[", "#", "]"}], "]"}], ")"}], "^", 
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Rho]"}], ")"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Rho]"}], ")"}]}], "]"}], "&"}]}], "]"}], 
      ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4473317589102*^9, 3.4473317627946*^9}, {
   3.4473319011977997`*^9, 3.4473319157058*^9}, {3.4473321091926003`*^9, 
   3.4473321117198*^9}, {3.4473338594658003`*^9, 3.447333860901*^9}, 
   3.4473338933334*^9, {3.4473339477618*^9, 3.4473339975414*^9}, {
   3.4473430805248003`*^9, 3.4473431454519997`*^9}, {3.4473431943424*^9, 
   3.4473432087412*^9}, {3.4473432510016003`*^9, 3.4473432553696003`*^9}, {
   3.447343303324*^9, 3.447343317442*^9}, {3.4473434173912*^9, 
   3.4473434567656*^9}, {3.4473434888859997`*^9, 3.447343489432*^9}, {
   3.447343834738*^9, 3.4473438347848*^9}, 3.4473446036952*^9, {
   3.4473446404644003`*^9, 3.4473447120996*^9}, {3.4473448844796*^9, 
   3.4473449288928003`*^9}, {3.4473450730368*^9, 3.4473451130508003`*^9}, {
   3.4473461552482*^9, 3.4473461813157997`*^9}, {3.447346313245*^9, 
   3.4473463364110003`*^9}, {3.4473463979217997`*^9, 
   3.4473463979686003`*^9}, {3.4473473538792*^9, 3.4473473630208*^9}, {
   3.4473474185411997`*^9, 3.4473474213336*^9}, {3.4473491124122*^9, 
   3.4473491233789997`*^9}, {3.4481435561408*^9, 3.4481435597868*^9}, {
   3.4489027116726*^9, 3.4489027211976*^9}, {3.4489027695495996`*^9, 
   3.4489028119006*^9}, {3.4489028419426003`*^9, 3.4489028572036*^9}, {
   3.4489028965866003`*^9, 3.4489029005836*^9}, 3.4489029683666*^9, 
   3.4489030054496*^9, {3.4489032338456*^9, 3.4489032476596003`*^9}, {
   3.4489034797106*^9, 3.4489035031786003`*^9}, {3.4489035985716*^9, 
   3.4489036141916*^9}, {3.4489036899546003`*^9, 3.4489036999976*^9}, {
   3.4491673914230003`*^9, 3.449167391557*^9}, {3.44917509971*^9, 
   3.449175182973*^9}, {3.449175287533*^9, 3.449175318834*^9}, {
   3.449175415825*^9, 3.449175423227*^9}, {3.449175538523*^9, 
   3.449175552285*^9}, {3.449175587051*^9, 3.449175596266*^9}, {
   3.4491756310699997`*^9, 3.449175672163*^9}, {3.449175714065*^9, 
   3.449175717961*^9}, 3.4491757935889997`*^9, {3.449175829132*^9, 
   3.449175924139*^9}, {3.44917596476*^9, 3.449175993968*^9}, {
   3.449176042183*^9, 3.449176083317*^9}, {3.449176147764*^9, 
   3.4491761924440002`*^9}, {3.449176266508*^9, 3.4491763018050003`*^9}, {
   3.4491764599309998`*^9, 3.449176497193*^9}, {3.449176532623*^9, 
   3.4491765561219997`*^9}, 3.449176791826*^9, {3.449176824333*^9, 
   3.449176828795*^9}, {3.449176889045*^9, 3.4491769059849997`*^9}, {
   3.449176945318*^9, 3.4491770079370003`*^9}, {3.449177049359*^9, 
   3.4491771791099997`*^9}, {3.449177244334*^9, 3.449177250322*^9}, {
   3.4491773192530003`*^9, 3.4491773757130003`*^9}, {3.4491774842469997`*^9, 
   3.44917751662*^9}, {3.44917778923*^9, 3.449177852472*^9}, {
   3.449177925645*^9, 3.449178164391*^9}, {3.44917857344*^9, 
   3.449178602642*^9}, {3.449178663366*^9, 3.449178674217*^9}, {
   3.449178814193*^9, 3.449178830797*^9}, {3.4491793779890003`*^9, 
   3.449179380035*^9}, {3.449179933781*^9, 3.449179935392*^9}, {
   3.4491809219049997`*^9, 3.449180966168*^9}, {3.449180997994*^9, 
   3.449181009449*^9}, {3.449336022461*^9, 3.449336025092*^9}, {
   3.449619467311*^9, 3.449619521263*^9}, {3.449620051817*^9, 
   3.449620115119*^9}, 3.449620342245*^9, {3.449620916002*^9, 
   3.4496209330810003`*^9}, {3.449654585237*^9, 3.4496546092460003`*^9}, 
   3.449655051951*^9, {3.449655087227*^9, 3.449655102903*^9}, {
   3.449655142304*^9, 3.449655159933*^9}, {3.449655344052*^9, 
   3.449655348734*^9}, {3.449661117047*^9, 3.4496611217679996`*^9}, {
   3.4496612174*^9, 3.449661287924*^9}, {3.44966135646*^9, 
   3.449661384961*^9}, {3.449661614203*^9, 3.449661676274*^9}, 
   3.449662214575*^9, {3.4496628109969997`*^9, 3.449662867495*^9}, 
   3.449664273557*^9, {3.449670495336*^9, 3.449670509824*^9}, {
   3.449675580002*^9, 3.4496755924379997`*^9}, {3.4499647572349997`*^9, 
   3.4499647692980003`*^9}, {3.449964815106*^9, 3.449964905461*^9}, {
   3.449965012685*^9, 3.4499650264049997`*^9}, {3.449965059356*^9, 
   3.44996505983*^9}, {3.449965141749*^9, 3.4499652051730003`*^9}, {
   3.4500096765769997`*^9, 3.450009688958*^9}, 3.4649540887233*^9, {
   3.4649545285292997`*^9, 3.4649545428643*^9}, {3.4649545740153*^9, 
   3.4649545794543*^9}, {3.4649577723623*^9, 3.4649578117963*^9}, {
   3.4649578466752996`*^9, 3.4649578901253*^9}, {3.4666279430385*^9, 
   3.4666279434084997`*^9}, {3.4666322230594997`*^9, 3.4666322305415*^9}, {
   3.4666328579797*^9, 3.4666328709589*^9}, {3.4666329789525003`*^9, 
   3.4666331487741003`*^9}, {3.4666332244965*^9, 3.4666332851025*^9}, {
   3.4666333190013*^9, 3.4666334367657003`*^9}, {3.4666335152337*^9, 
   3.4666335173553*^9}, {3.4666336512345*^9, 3.4666336889709*^9}, {
   3.4666337300924997`*^9, 3.4666338219765*^9}, {3.4666339163409*^9, 
   3.4666340134509*^9}, 3.4666367203827*^9, {3.4666789170843096`*^9, 
   3.4666789370413094`*^9}, {3.4666790414523096`*^9, 3.4666790790673094`*^9}, 
   3.4666792691223097`*^9, {3.4666793126883097`*^9, 3.4666793158973093`*^9}, 
   3.4666815565343094`*^9, {3.4666816640523095`*^9, 3.4666816688023095`*^9}, {
   3.4666822150263095`*^9, 3.4666823417533092`*^9}, {3.4666824127343097`*^9, 
   3.4666824342473097`*^9}, {3.4666824806733093`*^9, 
   3.4666825207203093`*^9}, {3.4666827183993096`*^9, 
   3.4666828377393093`*^9}, {3.4666828777323093`*^9, 
   3.4666829648473096`*^9}, {3.4666830879753094`*^9, 
   3.4666831109773097`*^9}, {3.4666832188813095`*^9, 
   3.4666832768573093`*^9}, {3.4666838130933094`*^9, 
   3.4666838339203095`*^9}, {3.4666838831193094`*^9, 
   3.4666839686423097`*^9}, {3.4666840113953094`*^9, 3.4666840144793096`*^9}, 
   3.4666840845053096`*^9, {3.4666847574973097`*^9, 3.4666847658223095`*^9}, 
   3.46668486999531*^9, {3.46668493065331*^9, 3.4666849361513095`*^9}, 
   3.46668861901501*^9, 3.4666894284580097`*^9, 3.4666898487900095`*^9, 
   3.4666973623480096`*^9, {3.4666974039600096`*^9, 3.4666974078860097`*^9}, {
   3.46669752204101*^9, 3.4666975815440097`*^9}, {3.4666977687440095`*^9, 
   3.4666977864670095`*^9}, {3.4666978295130095`*^9, 3.46669788519201*^9}, {
   3.4666980991530094`*^9, 3.4666981208080096`*^9}, {3.4666981513470097`*^9, 
   3.4666981634860096`*^9}, {3.4666982823280096`*^9, 3.4666984211600094`*^9}, 
   3.4666990429760094`*^9, {3.4666991006050096`*^9, 3.4666991050370097`*^9}, 
   3.4667011858200097`*^9, {3.4667038186690097`*^9, 3.4667038270280094`*^9}, {
   3.4667038723510094`*^9, 3.4667039108550096`*^9}, {3.466709155531*^9, 
   3.466709163491*^9}, {3.4667095708269997`*^9, 3.466709604146*^9}, {
   3.466709694258*^9, 3.466709735873*^9}, {3.4667100888269997`*^9, 
   3.466710090637*^9}, {3.466713275486*^9, 3.466713278461*^9}, {
   3.466714480627*^9, 3.466714494876*^9}, {3.466719217738*^9, 
   3.466719245892*^9}, {3.4667195004849997`*^9, 3.466719514002*^9}, {
   3.46676091005*^9, 3.466760939191*^9}, {3.4667609725480003`*^9, 
   3.4667609747279997`*^9}, {3.4667610264049997`*^9, 3.466761032558*^9}, {
   3.4667615165480003`*^9, 3.466761563679*^9}, {3.466761601359*^9, 
   3.466761632769*^9}, {3.466763879174*^9, 3.4667638836689997`*^9}, {
   3.466764639784*^9, 3.466764687241*^9}, {3.466764721948*^9, 
   3.466764732475*^9}, {3.466765338883*^9, 3.466765342534*^9}, {
   3.466765399281*^9, 3.466765414712*^9}, {3.4667665802790003`*^9, 
   3.4667665948269997`*^9}, {3.466767067867*^9, 3.466767144402*^9}, {
   3.466767253825*^9, 3.466767260216*^9}, {3.466767449825*^9, 
   3.4667674840950003`*^9}, 3.4667679821940002`*^9, {3.466768816329*^9, 
   3.466768831758*^9}, 3.4667688662609997`*^9, {3.466769873977*^9, 
   3.4667699370179996`*^9}, 3.466770617965*^9, {3.466771272398*^9, 
   3.466771327866*^9}, {3.466771646302*^9, 3.466771663233*^9}, 
   3.466771697092*^9, 3.466772975942*^9, 3.4667741522720003`*^9, {
   3.466774208111*^9, 3.466774209484*^9}, {3.466774331863*^9, 
   3.46677433273*^9}, 3.4668080202086*^9, {3.4675882144263*^9, 
   3.4675882163852997`*^9}, {3.467719881488648*^9, 3.467719883010648*^9}, {
   3.4684521772381*^9, 3.4684521917230997`*^9}, 3.4684523996701*^9, {
   3.4684524698871*^9, 3.4684524896111*^9}, {3.468492162711*^9, 
   3.468492169458*^9}, {3.468492259644*^9, 3.468492310469*^9}, {
   3.468494071711*^9, 3.468494086895*^9}, {3.4684941193780003`*^9, 
   3.468494154916*^9}, 3.468494197613*^9, 3.468495365111*^9, {
   3.4684961341280003`*^9, 3.4684961419519997`*^9}, {3.468496175869*^9, 
   3.468496269352*^9}, {3.468496347832*^9, 3.468496351278*^9}, {
   3.468496403648*^9, 3.468496417454*^9}, {3.468612911286297*^9, 
   3.468612913020297*^9}, {3.468615095786297*^9, 3.4686151205712967`*^9}, {
   3.4686157879272966`*^9, 3.4686160691492968`*^9}, 3.46862545177*^9, {
   3.468683567065*^9, 3.468683582766*^9}, {3.468684870316*^9, 
   3.468684910358*^9}, {3.468684948126*^9, 3.468684969495*^9}, {
   3.468689369867*^9, 3.468689395509*^9}, {3.468689607276*^9, 
   3.468689608524*^9}, {3.4686931043677*^9, 3.4686931161777*^9}, {
   3.4686954149386997`*^9, 3.4686954205907*^9}, {3.4686966882407*^9, 
   3.4686967706307*^9}, {3.4686968255507*^9, 3.4686969186366997`*^9}, {
   3.4686978008287*^9, 3.4686978255137*^9}, {3.4686985766447*^9, 
   3.4686985794217*^9}, {3.4687705984927*^9, 3.4687706432490997`*^9}, {
   3.4687709017656*^9, 3.4687709719556*^9}, {3.4687718942836*^9, 
   3.4687720884926*^9}, {3.4687721231896*^9, 3.4687721291096*^9}, {
   3.4687721704026003`*^9, 3.4687721947226*^9}, {3.4687722252746*^9, 
   3.4687722851076*^9}, {3.4687723299206*^9, 3.4687723432676*^9}, {
   3.4687731980636*^9, 3.4687732093726*^9}, 3.4687732543836*^9, {
   3.4687734169806004`*^9, 3.4687734418826*^9}, {3.4687735705006*^9, 
   3.4687736433466*^9}, {3.4687741474356003`*^9, 3.4687741842466*^9}, {
   3.4688429546885*^9, 3.4688429638845*^9}, {3.4688430001125*^9, 
   3.4688430049465*^9}, {3.4688430953595*^9, 3.4688431092675*^9}, {
   3.4688581480550003`*^9, 3.468858183983*^9}, {3.468860833325*^9, 
   3.46886093474*^9}, {3.468869369869*^9, 3.468869375972*^9}, {
   3.4688715748142*^9, 3.4688715763118*^9}, {3.4688717960690002`*^9, 
   3.4688717977693996`*^9}, {3.4688718302174*^9, 3.4688719189814*^9}, {
   3.468873103025488*^9, 3.468873103945888*^9}, {3.468873186813088*^9, 
   3.468873188700688*^9}, {3.4689239729700003`*^9, 3.468923973843*^9}, 
   3.4689506784230003`*^9, {3.469039727017*^9, 3.469039745333*^9}, {
   3.469099276116*^9, 3.469099435301*^9}, {3.4691045109230003`*^9, 
   3.469104568458*^9}, {3.469124614164*^9, 3.469124619269*^9}, 
   3.4691288493152*^9, {3.4691298643052*^9, 3.4691298868532*^9}, {
   3.4691299913002*^9, 3.4691300113252*^9}, 3.4691306219192*^9, {
   3.4691307984952*^9, 3.4691308064332*^9}, {3.4691310255712*^9, 
   3.4691310343082*^9}, {3.4691311010052*^9, 3.4691311044351997`*^9}, {
   3.4691383500362*^9, 3.4691383546572*^9}, {3.4691386298752003`*^9, 
   3.4691386871322002`*^9}, {3.4691387579372*^9, 3.4691387633602*^9}, 
   3.4691388752642*^9, {3.4691389651792*^9, 3.4691389676032*^9}, {
   3.4691390208422003`*^9, 3.4691390491692*^9}, 3.4691391078642*^9, 
   3.4691392007972*^9, {3.4691394530562*^9, 3.4691394531182003`*^9}, {
   3.4691400280341997`*^9, 3.4691400597162*^9}, {3.4691408939102*^9, 
   3.4691410334112*^9}, {3.4691410969122*^9, 3.4691412406912003`*^9}, 
   3.4691419913262*^9, {3.4691426617562*^9, 3.4691426657492*^9}, {
   3.4691431049351997`*^9, 3.4691431130762*^9}, {3.4691431462092*^9, 
   3.4691431476502*^9}, {3.4691842009300146`*^9, 3.4691842010370145`*^9}, {
   3.4691864989140143`*^9, 3.4691865584420147`*^9}, {3.4691865977180147`*^9, 
   3.4691866001630144`*^9}, {3.4691870533080144`*^9, 
   3.4691870567030144`*^9}, {3.469187110148014*^9, 3.469187128863014*^9}, {
   3.469187320238014*^9, 3.4691873209590144`*^9}, {3.469187392587014*^9, 
   3.4691875067530146`*^9}, 3.4691878383380146`*^9, {3.4691881694020147`*^9, 
   3.4691882076500144`*^9}, {3.4691882385530148`*^9, 
   3.4691882677060146`*^9}, {3.4691884037030144`*^9, 
   3.4691884042010145`*^9}, {3.4691884631890144`*^9, 3.4691884661090145`*^9}, 
   3.4691887834330144`*^9, {3.4691889415630145`*^9, 3.4691889477810144`*^9}, 
   3.4691890032100143`*^9, 3.4691915287310143`*^9, 3.4691916206700144`*^9, {
   3.4691917044090147`*^9, 3.4691917054930143`*^9}, {3.4691919749490147`*^9, 
   3.4691920604630146`*^9}, {3.4691928092980146`*^9, 
   3.4691928258450146`*^9}, {3.4691930310840144`*^9, 
   3.4691930577840147`*^9}, {3.4691931227540145`*^9, 3.4691931315080147`*^9}, 
   3.469193506377014*^9, {3.4691943168610144`*^9, 3.4691943174810143`*^9}, 
   3.469201438714014*^9, {3.469201633613014*^9, 3.4692016372740145`*^9}, 
   3.4692020006160145`*^9, {3.4692032026030145`*^9, 3.4692032068850145`*^9}, 
   3.4692043573240147`*^9, {3.4692043892180147`*^9, 3.4692043989140143`*^9}, 
   3.4692097836300144`*^9, 3.4692120107544146`*^9, {3.4695463852460003`*^9, 
   3.469546402249*^9}, {3.4697337920022*^9, 3.4697337924362*^9}, 
   3.469748344468*^9, {3.469748376707*^9, 3.469748383807*^9}, {
   3.4722246860792*^9, 3.4722246896552*^9}, 3.473361582799*^9, {
   3.47463476248*^9, 3.474634765133*^9}, {3.474640246991*^9, 
   3.4746402500360003`*^9}, {3.4746406847980003`*^9, 3.474640686835*^9}, {
   3.474640738877*^9, 3.474640746182*^9}, {3.474641167873*^9, 
   3.474641181727*^9}, {3.474641369784*^9, 3.474641370074*^9}, {
   3.474648526908*^9, 3.4746485298450003`*^9}, {3.474649491883*^9, 
   3.474649496814*^9}, {3.474649537416*^9, 3.474649540245*^9}, {
   3.4746521911375475`*^9, 3.474652246815547*^9}, {3.4746526316015472`*^9, 
   3.474652635371547*^9}, {3.474653830917547*^9, 3.4746538463285475`*^9}, {
   3.4746585611325474`*^9, 3.4746585713375473`*^9}, 3.474659091907547*^9, {
   3.474659313266547*^9, 3.474659316431547*^9}, 3.4746596413285475`*^9, {
   3.4747197110594997`*^9, 3.4747197143945*^9}, {3.4747225300041265`*^9, 
   3.4747225316109266`*^9}, {3.474723444027827*^9, 3.4747234537878265`*^9}, 
   3.474733848216827*^9, 3.474734894897827*^9, {3.474735026684827*^9, 
   3.474735027010827*^9}, {3.474735101164827*^9, 3.4747351087408266`*^9}, 
   3.4747355888968267`*^9, {3.474737602642827*^9, 3.4747376096418266`*^9}, 
   3.474737674944827*^9, {3.4747382407918267`*^9, 3.4747382473508267`*^9}, {
   3.474740974597827*^9, 3.4747409986698265`*^9}, {3.4747414549238267`*^9, 
   3.4747414555548267`*^9}, 3.4749975281035585`*^9, 3.4750900767060003`*^9, 
   3.475253190541*^9, {3.475253232826*^9, 3.475253233409*^9}, 
   3.4752616108887*^9, 3.4752636442037*^9, 3.4752636745787*^9, {
   3.4752655274027*^9, 3.4752655516287003`*^9}, {3.4752656758047*^9, 
   3.4752656785706997`*^9}, {3.480427211078*^9, 3.48042725971*^9}, {
   3.480497556725*^9, 3.480497565454*^9}, {3.480511397501646*^9, 
   3.480511467002646*^9}, 3.4805115572806463`*^9, {3.4805200318396463`*^9, 
   3.480520121120646*^9}, {3.4805357525526457`*^9, 3.4805357586886463`*^9}, {
   3.480535823818646*^9, 3.480535858716646*^9}, {3.480535913278646*^9, 
   3.480535935613646*^9}, {3.480609365149666*^9, 3.4806093703846655`*^9}, {
   3.480609888416666*^9, 3.480609895938666*^9}, {3.4806955915823*^9, 
   3.4806956291542997`*^9}, {3.4822364611604*^9, 3.4822364611844*^9}, {
   3.48568329571202*^9, 3.4856832989700203`*^9}, 3.48568338031602*^9, 
   3.4856834982130203`*^9, {3.48568382924302*^9, 3.48568383668202*^9}, 
   3.48568423200402*^9, {3.4889666459832525`*^9, 3.4889666654692526`*^9}, 
   3.4889668080852523`*^9, {3.489084187405471*^9, 3.4890841889094706`*^9}, {
   3.489138369587223*^9, 3.4891383940152225`*^9}, 3.4891415245672226`*^9, {
   3.489141614613223*^9, 3.4891416314892225`*^9}, 3.489141721768223*^9, {
   3.4893870073958*^9, 3.4893870173508*^9}, {3.4893871720708*^9, 
   3.4893871762978*^9}, {3.4893872299968*^9, 3.4893872450948*^9}, {
   3.4893872997108*^9, 3.4893873185048*^9}, {3.489396628811598*^9, 
   3.4893966483875976`*^9}, {3.489396935283598*^9, 3.4893969493995976`*^9}, {
   3.4897555221316476`*^9, 3.489755575942648*^9}, 3.4897558427576475`*^9, {
   3.4897559245126476`*^9, 3.4897559247146473`*^9}, {3.4897560087116475`*^9, 
   3.4897560243826475`*^9}, {3.4897570385286474`*^9, 3.4897570442826476`*^9}, 
   3.490020119534*^9, 3.4901154687720165`*^9, 3.490115572985017*^9, {
   3.490549117687685*^9, 3.490549123179685*^9}, {3.4905491739436855`*^9, 
   3.490549198984685*^9}, {3.4905492730706854`*^9, 3.490549298027685*^9}, 
   3.490549383472685*^9, {3.490595439717*^9, 3.490595440052*^9}, {
   3.490595635677*^9, 3.490595640278*^9}, {3.4905958448570004`*^9, 
   3.490595856612*^9}, 3.4905958946470003`*^9, {3.490595945469*^9, 
   3.4905959463450003`*^9}, {3.490596131093*^9, 3.4905961327320004`*^9}, {
   3.4905967822*^9, 3.490596782507*^9}, {3.49059686415*^9, 
   3.490596864642*^9}, {3.4905971254449997`*^9, 3.490597137808*^9}, {
   3.490597263663*^9, 3.4905972648710003`*^9}, {3.490728049244*^9, 
   3.490728053671*^9}, {3.490734358078*^9, 3.4907343999172*^9}, {
   3.4907344568416*^9, 3.4907344679955997`*^9}, {3.4907347716808*^9, 
   3.4907347745668*^9}, {3.4907350237612*^9, 3.4907350628392*^9}, 
   3.4907368693348*^9, {3.4907371308688*^9, 3.4907371330684*^9}, {
   3.490737361078*^9, 3.4907374280643997`*^9}, {3.4907375008696003`*^9, 
   3.490737568168*^9}, {3.4907377230448*^9, 3.4907377461796*^9}, {
   3.4907378001868*^9, 3.4907378233059998`*^9}, 3.4907462280776*^9, {
   3.490786466665699*^9, 3.490786484356099*^9}, {3.490786520984899*^9, 
   3.490786524588499*^9}, {3.490786914869299*^9, 3.490786925992099*^9}, {
   3.490807674905499*^9, 3.490807764733499*^9}, {3.490807835832499*^9, 
   3.4908079040464993`*^9}, {3.490807967674499*^9, 3.490807989082499*^9}, {
   3.4908080617494993`*^9, 3.490808062103499*^9}, {3.4916468485095935`*^9, 
   3.4916468496825933`*^9}, {3.492184964522936*^9, 3.4921849807339363`*^9}, {
   3.492191173029936*^9, 3.492191186348936*^9}, {3.492237143223*^9, 
   3.492237187785*^9}, {3.4922372414820004`*^9, 3.49223724588*^9}, {
   3.49223809523*^9, 3.492238098198*^9}, {3.492238187363*^9, 
   3.4922382315690002`*^9}, {3.492239014916*^9, 3.492239025693*^9}, {
   3.492239336166*^9, 3.492239336809*^9}, {3.4922396349309998`*^9, 
   3.492239704148*^9}, {3.492240394618*^9, 3.4922404409110003`*^9}, {
   3.492241123738*^9, 3.49224112615*^9}, 3.4922515622651997`*^9, {
   3.4922516756331997`*^9, 3.4922516856612*^9}, {3.4922518707872*^9, 
   3.4922518987581997`*^9}, {3.4922520174224*^9, 3.4922520392156*^9}, {
   3.4922526755864*^9, 3.4922526778640003`*^9}, {3.49225279541*^9, 
   3.4922527993568*^9}, {3.492253146913*^9, 3.4922531581099997`*^9}, {
   3.492253534756*^9, 3.4922536225480003`*^9}, {3.4922563165220003`*^9, 
   3.492256349585*^9}, {3.492257168483*^9, 3.492257168929*^9}, 
   3.492257280484*^9, {3.492258682391466*^9, 3.4922587028954663`*^9}, {
   3.4922591983904667`*^9, 3.4922592332394667`*^9}, {3.4922607973234663`*^9, 
   3.4922608111364665`*^9}, {3.492268535700466*^9, 3.492268540627466*^9}, {
   3.4923814102888803`*^9, 3.49238145395328*^9}, {3.49238204057668*^9, 
   3.49238207577028*^9}, {3.4923826349742804`*^9, 3.49238264215028*^9}, {
   3.4924033465727997`*^9, 3.4924033855416*^9}, {3.4924232638412*^9, 
   3.4924232829356003`*^9}, 3.4924236977162*^9, {3.4924238046074*^9, 
   3.492423831299*^9}, {3.4924970856792*^9, 3.4924971211602*^9}, 
   3.4924974887332*^9, {3.4924975724252*^9, 3.4924976097162*^9}, {
   3.4924981487981997`*^9, 3.4924981531632*^9}, {3.4924981988171997`*^9, 
   3.4924982383642*^9}, {3.4924984060452003`*^9, 3.4924984873582*^9}, {
   3.4925169478389997`*^9, 3.4925169517980003`*^9}, {3.492517613677*^9, 
   3.4925176189820004`*^9}, {3.49251767776*^9, 3.492517733314*^9}, {
   3.492518532814*^9, 3.492518533976*^9}, {3.4926575185972*^9, 
   3.4926575471022*^9}, {3.4926582295962*^9, 3.4926582374382*^9}, {
   3.4926582861622*^9, 3.4926582899462*^9}, {3.4926584802562*^9, 
   3.4926585130882*^9}, {3.4926585575362*^9, 3.4926585753872004`*^9}, 
   3.4926594040002003`*^9, {3.4930276224342003`*^9, 3.4930276264702*^9}, {
   3.4942437480856*^9, 3.4942437826776*^9}, {3.4942441479046*^9, 
   3.4942441528996*^9}, {3.4943533803444*^9, 3.4943534834704*^9}, {
   3.4943535859444*^9, 3.4943535863504*^9}, {3.4943536189203997`*^9, 
   3.4943539384374*^9}, {3.4943539790034*^9, 3.4943540342664003`*^9}, {
   3.4943542040056*^9, 3.4943542313368*^9}, {3.4943543090934*^9, 
   3.4943544159514*^9}, 3.4943544486724*^9, {3.4943546369344*^9, 
   3.4943546474354*^9}, 3.4943549615774*^9, 3.4943551899994*^9, {
   3.4943553563764*^9, 3.4943553575394*^9}, 3.4943559311754*^9, {
   3.4943561959784*^9, 3.4943562053004*^9}, {3.494371949962*^9, 
   3.494371950534*^9}, {3.494408498406681*^9, 3.494408498432681*^9}, {
   3.494408738189681*^9, 3.4944087489906807`*^9}, {3.4944087857076807`*^9, 
   3.494408811972681*^9}, {3.4944088498606806`*^9, 3.494408861168681*^9}, {
   3.494418952394*^9, 3.4944189582320004`*^9}, {3.494419003084*^9, 
   3.494419005635*^9}, {3.4944361457712917`*^9, 3.494436246889292*^9}, {
   3.4944362784962916`*^9, 3.4944362892842913`*^9}, {3.4944365590602913`*^9, 
   3.4944366458292913`*^9}, {3.4944371675952916`*^9, 
   3.4944371677402916`*^9}, {3.494437211012292*^9, 3.4944372207522917`*^9}, 
   3.4944372553292913`*^9, 3.494437975125292*^9, 3.494438047019292*^9, {
   3.4944382930322914`*^9, 3.494438302578292*^9}, {3.4944383460172915`*^9, 
   3.4944383670182915`*^9}, {3.4944386919992914`*^9, 3.494438741566292*^9}, {
   3.4944387835802917`*^9, 3.4944388898972917`*^9}, {3.4944394537322917`*^9, 
   3.494439483118292*^9}, {3.494439736743292*^9, 3.4944397529262915`*^9}, {
   3.494440257875292*^9, 3.4944402766682916`*^9}, {3.494440394500292*^9, 
   3.494440395005292*^9}, {3.4944407597272916`*^9, 3.4944407606522913`*^9}, {
   3.4944525888808002`*^9, 3.4944525889468*^9}, {3.4944526268768*^9, 
   3.4944526274068003`*^9}, 3.4944528798288*^9, 3.4944530489238*^9, {
   3.4944539348778*^9, 3.4944539386808*^9}, 3.4944541300888*^9, 
   3.4944542341328*^9, {3.4944546405998*^9, 3.4944546982708*^9}, {
   3.4944547770158*^9, 3.4944548169648*^9}, {3.4944560290304003`*^9, 
   3.4944560346308002`*^9}, 3.4944561551096*^9, 3.4944569749212*^9, 
   3.494491621375*^9, {3.4946929515730877`*^9, 3.4946929535490875`*^9}, 
   3.4947832999302*^9, 3.494872280599*^9, {3.4957151111602*^9, 
   3.4957151785053997`*^9}, {3.4957152394858*^9, 3.4957152402813997`*^9}, 
   3.4957153858450003`*^9, 3.49608163452342*^9, {3.496141145475498*^9, 
   3.4961411471014977`*^9}, 3.496141239125498*^9, {3.496141689760098*^9, 
   3.4961416898100977`*^9}, {3.496141912617098*^9, 3.4961419203800983`*^9}, {
   3.4964862435360003`*^9, 3.496486245157*^9}, 3.496487865972*^9, 
   3.5794315159911065`*^9, 3.581972680913266*^9, 3.5820254056023054`*^9, {
   3.582025580057749*^9, 3.5820255879375367`*^9}, {3.582037173173809*^9, 
   3.5820371779323177`*^9}, 3.583081242115363*^9, {3.583084136785825*^9, 
   3.583084171622308*^9}, 3.583084858785017*^9, {3.5830858530064297`*^9, 
   3.58308585451058*^9}, {3.5830890535254774`*^9, 3.5830890588900137`*^9}, {
   3.583089091882313*^9, 3.5830890929764223`*^9}, 3.5830901091780324`*^9, 
   3.5830905782273035`*^9, {3.6215293149538403`*^9, 3.621529323300318*^9}},
 FontSize->14]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1584, 765},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification->0.9500000476837158,
FrontEndVersion->"9.0 for Microsoft Windows (32-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 565, 9, 62, "Section",
 InitializationCell->True],
Cell[1135, 33, 8800, 185, 225, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[9972, 223, 148, 3, 62, "Section",
 InitializationCell->True],
Cell[10123, 228, 35778, 639, 1012, "Input",
 InitializationCell->True]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
