(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     63095,       1195]
NotebookOptionsPosition[     62507,       1170]
NotebookOutlinePosition[     62883,       1186]
CellTagsIndexPosition[     62840,       1183]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Marginal utilities at t+1", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.4152703691636*^9, 3.4152703783656*^9}, {
   3.4152713746736*^9, 3.4152713812125998`*^9}, {3.422270972916*^9, 
   3.4222709964110003`*^9}, {3.4457757914903*^9, 3.4457758098253*^9}, {
   3.4491703233269997`*^9, 3.4491703342060003`*^9}, {3.4658421430746813`*^9, 
   3.4658421655656815`*^9}, {3.4658422464406815`*^9, 
   3.4658423259696817`*^9}, {3.4659227057681*^9, 3.4659227145841*^9}, 
   3.4666256643575*^9, {3.579430981539667*^9, 3.5794309817006826`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[ScriptCapitalV]P2\[ScriptK]\[Tau]t", "[", 
     RowBox[{
     "\[ScriptK]\[Tau]t_", ",", "\[ScriptK]\[ScriptH]t_", ",", 
      "\[ScriptL]\[Tau]t_"}], "]"}], ":=", 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]2VecProb", "[", 
         RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], " ", 
        RowBox[{"\[Epsilon]VecProb", "[", 
         RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], " ", 
        RowBox[{"(", 
         RowBox[{"\[Alpha]", " ", "\[ScriptCapitalA]\[Tau]", " ", 
          RowBox[{"\[Epsilon]Vec", "[", 
           RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
          SuperscriptBox["\[ScriptK]\[Tau]t", 
           RowBox[{"\[Alpha]", "-", "1"}]], 
          SuperscriptBox["\[ScriptL]\[Tau]t", 
           RowBox[{"1", "-", "\[Alpha]"}]], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[Eta]\[Tau]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
            RowBox[{"\[Iota]\[Tau]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}], ")"}], 
        "\[IndentingNewLine]", 
        RowBox[{"\[ScriptU]P", "[", 
         RowBox[{
          RowBox[{"Last", "[", "\[ScriptC]FuncVec", "]"}], "[", 
          RowBox[{
           RowBox[{"\[ScriptCapitalA]\[Tau]", " ", 
            RowBox[{"\[Epsilon]Vec", "[", 
             RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
            SuperscriptBox["\[ScriptK]\[Tau]t", "\[Alpha]"], 
            SuperscriptBox["\[ScriptL]\[Tau]t", 
             RowBox[{"1", "-", "\[Alpha]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Eta]\[Tau]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
              RowBox[{"\[Iota]\[Tau]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"\[ScriptCapitalA]\[ScriptH]", " ", 
            RowBox[{"\[Epsilon]Vec", "[", 
             RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
            SuperscriptBox["\[ScriptK]\[ScriptH]t", "\[Alpha]"], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "-", "\[ScriptL]\[Tau]t"}], ")"}], 
             RowBox[{"1", "-", "\[Alpha]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Eta]\[ScriptH]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
              RowBox[{"\[Iota]\[ScriptH]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}]}], "]"}], 
         "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]Loop", ",", "1", ",", 
         RowBox[{"Length", "[", "\[Epsilon]VecProb", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Eta]Loop", ",", "1", ",", 
         RowBox[{"Length", "[", "\[Eta]2VecProb", "]"}]}], "}"}]}], "]"}]}]}],
    ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[ScriptCapitalV]P2\[ScriptK]\[ScriptH]t", "[", 
     RowBox[{
     "\[ScriptK]\[Tau]t_", ",", "\[ScriptK]\[ScriptH]t_", ",", 
      "\[ScriptL]\[Tau]t_"}], "]"}], ":=", 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]2VecProb", "[", 
         RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], " ", 
        RowBox[{"\[Epsilon]VecProb", "[", 
         RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
        RowBox[{"(", 
         RowBox[{"\[Alpha]", " ", "\[ScriptCapitalA]\[ScriptH]", " ", 
          RowBox[{"\[Epsilon]Vec", "[", 
           RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
          SuperscriptBox["\[ScriptK]\[ScriptH]t", 
           RowBox[{"\[Alpha]", "-", "1"}]], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[ScriptL]\[Tau]t"}], ")"}], 
           RowBox[{"1", "-", "\[Alpha]"}]], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[Eta]\[ScriptH]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
            RowBox[{"\[Iota]\[ScriptH]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}], ")"}], 
        RowBox[{"\[ScriptU]P", "[", 
         RowBox[{
          RowBox[{"Last", "[", "\[ScriptC]FuncVec", "]"}], "[", 
          RowBox[{
           RowBox[{"\[ScriptCapitalA]\[Tau]", " ", 
            RowBox[{"\[Epsilon]Vec", "[", 
             RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
            SuperscriptBox["\[ScriptK]\[Tau]t", "\[Alpha]"], 
            SuperscriptBox["\[ScriptL]\[Tau]t", 
             RowBox[{"1", "-", "\[Alpha]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Eta]\[Tau]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
              RowBox[{"\[Iota]\[Tau]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"\[ScriptCapitalA]\[ScriptH]", " ", 
            RowBox[{"\[Epsilon]Vec", "[", 
             RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
            SuperscriptBox["\[ScriptK]\[ScriptH]t", "\[Alpha]"], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "-", "\[ScriptL]\[Tau]t"}], ")"}], 
             RowBox[{"1", "-", "\[Alpha]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Eta]\[ScriptH]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
              RowBox[{"\[Iota]\[ScriptH]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}]}], "]"}], 
         "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]Loop", ",", "1", ",", 
         RowBox[{"Length", "[", "\[Epsilon]VecProb", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Eta]Loop", ",", "1", ",", 
         RowBox[{"Length", "[", "\[Eta]2VecProb", "]"}]}], "}"}]}], "]"}]}]}],
    ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[ScriptCapitalV]P2\[ScriptL]\[Tau]t", "[", 
     RowBox[{
     "\[ScriptK]\[Tau]t_", ",", "\[ScriptK]\[ScriptH]t_", ",", 
      "\[ScriptL]\[Tau]t_"}], "]"}], ":=", 
    RowBox[{"\[Beta]", " ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"\[Eta]2VecProb", "[", 
         RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], " ", 
        RowBox[{"\[Epsilon]VecProb", "[", 
         RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Alpha]"}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ScriptCapitalA]\[Tau]", " ", 
           RowBox[{"\[Epsilon]Vec", "[", 
            RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
           SuperscriptBox["\[ScriptK]\[Tau]t", "\[Alpha]"], 
           SuperscriptBox["\[ScriptL]\[Tau]t", 
            RowBox[{"-", "\[Alpha]"}]], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"\[Eta]\[Tau]Vec", "[", 
              RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
             RowBox[{"\[Iota]\[Tau]Vec", "[", 
              RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}], "-", 
          RowBox[{"\[ScriptCapitalA]\[ScriptH]", " ", 
           RowBox[{"\[Epsilon]Vec", "[", 
            RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
           SuperscriptBox["\[ScriptK]\[ScriptH]t", "\[Alpha]"], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "-", "\[ScriptL]\[Tau]t"}], ")"}], 
            RowBox[{"-", "\[Alpha]"}]], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"\[Eta]\[ScriptH]Vec", "[", 
              RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
             RowBox[{"\[Iota]\[ScriptH]Vec", "[", 
              RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}]}], ")"}], 
        "\[IndentingNewLine]", 
        RowBox[{"\[ScriptU]P", "[", 
         RowBox[{
          RowBox[{"Last", "[", "\[ScriptC]FuncVec", "]"}], "[", 
          RowBox[{
           RowBox[{"\[ScriptCapitalA]\[Tau]", " ", 
            RowBox[{"\[Epsilon]Vec", "[", 
             RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
            SuperscriptBox["\[ScriptK]\[Tau]t", "\[Alpha]"], 
            SuperscriptBox["\[ScriptL]\[Tau]t", 
             RowBox[{"1", "-", "\[Alpha]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Eta]\[Tau]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
              RowBox[{"\[Iota]\[Tau]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}], "+", 
           RowBox[{"\[ScriptCapitalA]\[ScriptH]", " ", 
            RowBox[{"\[Epsilon]Vec", "[", 
             RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
            SuperscriptBox["\[ScriptK]\[ScriptH]t", "\[Alpha]"], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"1", "-", "\[ScriptL]\[Tau]t"}], ")"}], 
             RowBox[{"1", "-", "\[Alpha]"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Eta]\[ScriptH]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
              RowBox[{"\[Iota]\[ScriptH]Vec", "[", 
               RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}]}], "]"}], 
         "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Epsilon]Loop", ",", "1", ",", 
         RowBox[{"Length", "[", "\[Epsilon]VecProb", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Eta]Loop", ",", "1", ",", 
         RowBox[{"Length", "[", "\[Eta]2VecProb", "]"}]}], "}"}]}], "]"}]}]}],
    ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[ScriptCapitalV]2tp1", "[", 
    RowBox[{
    "\[ScriptK]\[Tau]t_", ",", "\[ScriptK]\[ScriptH]t_", ",", 
     "\[ScriptL]\[Tau]t_"}], "]"}], ":=", " ", 
   RowBox[{"\[Beta]", " ", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"\[Eta]2VecProb", "[", 
        RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], 
       RowBox[{"\[Epsilon]VecProb", "[", 
        RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
       RowBox[{
        RowBox[{"Last", "[", "\[ScriptV]FuncVec", "]"}], "[", 
        RowBox[{
         RowBox[{"\[ScriptCapitalA]\[Tau]", " ", 
          RowBox[{"\[Epsilon]Vec", "[", 
           RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
          SuperscriptBox["\[ScriptK]\[Tau]t", "\[Alpha]"], 
          SuperscriptBox["\[ScriptL]\[Tau]t", 
           RowBox[{"1", "-", "\[Alpha]"}]], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[Eta]\[Tau]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
            RowBox[{"\[Iota]\[Tau]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}], "+", 
         RowBox[{"\[ScriptCapitalA]\[ScriptH]", " ", 
          RowBox[{"\[Epsilon]Vec", "[", 
           RowBox[{"[", "\[Epsilon]Loop", "]"}], "]"}], 
          SuperscriptBox["\[ScriptK]\[ScriptH]t", "\[Alpha]"], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[ScriptL]\[Tau]t"}], ")"}], 
           RowBox[{"1", "-", "\[Alpha]"}]], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[Eta]\[ScriptH]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}], "+", 
            RowBox[{"\[Iota]\[ScriptH]Vec", "[", 
             RowBox[{"[", "\[Eta]Loop", "]"}], "]"}]}], ")"}]}]}], "]"}]}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"\[Epsilon]Loop", ",", "1", ",", 
        RowBox[{"Length", "[", "\[Epsilon]VecProb", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"\[Eta]Loop", ",", "1", ",", 
        RowBox[{"Length", "[", "\[Eta]2VecProb", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}]}], "Input",
 CellFrame->{{0, 0}, {0, 0}},
 InitializationCell->True,
 CellChangeTimes->{{3.4752636439027*^9, 3.4752636441777*^9}, {
   3.4752636742667*^9, 3.4752636745317*^9}, {3.478877694752923*^9, 
   3.478877715711923*^9}, {3.478878558565923*^9, 3.478878570927923*^9}, {
   3.4788786426099234`*^9, 3.478878643920923*^9}, {3.478880926632923*^9, 
   3.4788809460519233`*^9}, {3.4795615158721*^9, 3.4795615312931004`*^9}, {
   3.4802670963047*^9, 3.4802672753297*^9}, 3.4802673336027*^9, {
   3.4802673807127*^9, 3.4802674029247*^9}, {3.4802678052177*^9, 
   3.4802678188986998`*^9}, {3.4802680450367002`*^9, 3.4802681669617*^9}, {
   3.4805035687797976`*^9, 3.480503614768797*^9}, {3.480503671457797*^9, 
   3.4805036729087973`*^9}, {3.4805039604727974`*^9, 
   3.4805039878407974`*^9}, {3.480504050534797*^9, 3.4805040583757973`*^9}, {
   3.480506345231797*^9, 3.480506367107797*^9}, {3.4805991324689617`*^9, 
   3.480599243741962*^9}, {3.480604918534666*^9, 3.480604927939666*^9}, {
   3.480605819444666*^9, 3.480605869833666*^9}, {3.4822364608054*^9, 
   3.4822364611274*^9}, {3.4825886866380863`*^9, 3.482588726050086*^9}, {
   3.482588772363086*^9, 3.482588826267086*^9}, 3.482588858174086*^9, {
   3.482588893576086*^9, 3.4825888981910863`*^9}, {3.482589002769086*^9, 
   3.482589033932086*^9}, {3.482589067630086*^9, 3.4825892771480865`*^9}, {
   3.482589344439086*^9, 3.4825894156650863`*^9}, {3.482589482918086*^9, 
   3.4825895298420863`*^9}, {3.482601323286086*^9, 3.482601347637086*^9}, {
   3.4830130623213997`*^9, 3.4830131126384*^9}, 3.4830137958213997`*^9, {
   3.4837863932128*^9, 3.4837864042928*^9}, {3.4837874044508*^9, 
   3.4837874355618*^9}, {3.483805819382866*^9, 3.483805836030866*^9}, {
   3.4838061495088663`*^9, 3.483806184708866*^9}, {3.4838062241388664`*^9, 
   3.4838062974438663`*^9}, {3.483806887963866*^9, 3.4838069112118664`*^9}, {
   3.4838070910018663`*^9, 3.4838071081808662`*^9}, 3.483807272066866*^9, {
   3.4838074268748665`*^9, 3.4838074945868664`*^9}, 3.483807526731866*^9, 
   3.483807565750866*^9, {3.4845640984428*^9, 3.4845641213928003`*^9}, {
   3.4848262771683865`*^9, 3.484826285196387*^9}, {3.4849244061708*^9, 
   3.4849245609208*^9}, {3.4849245935538*^9, 3.4849247310248003`*^9}, {
   3.4849248101577997`*^9, 3.4849249282307997`*^9}, {3.4849249586928*^9, 
   3.4849249713978*^9}, {3.4849380548548*^9, 3.4849380947418003`*^9}, {
   3.4849389383487997`*^9, 3.4849389496008*^9}, {3.4849390854858*^9, 
   3.4849391121618*^9}, {3.4849391481238003`*^9, 3.4849391654018*^9}, {
   3.4849394675067997`*^9, 3.4849394866108*^9}, {3.4850070793679*^9, 
   3.4850071476319*^9}, {3.4850073916019*^9, 3.4850073927459*^9}, {
   3.4850074257199*^9, 3.4850074907749*^9}, {3.4850079060629*^9, 
   3.4850079761799*^9}, {3.4850080071379004`*^9, 3.4850081319589*^9}, {
   3.4850083815569*^9, 3.4850084120099*^9}, {3.4850084910969*^9, 
   3.4850084959999*^9}, {3.4850085330779*^9, 3.4850085860678997`*^9}, {
   3.4850096513829*^9, 3.4850096660809*^9}, {3.4850097232319*^9, 
   3.4850097940109*^9}, {3.4850789717497997`*^9, 3.4850790049217997`*^9}, {
   3.4850790361728*^9, 3.4850790806818*^9}, {3.4850791192228003`*^9, 
   3.4850791692718*^9}, {3.4850792251678*^9, 3.4850792264868*^9}, {
   3.4850792760808*^9, 3.4850793876177998`*^9}, {3.4850794342748003`*^9, 
   3.4850794827578*^9}, {3.4850795200298*^9, 3.4850795790178003`*^9}, {
   3.4850797469358*^9, 3.4850797707528*^9}, {3.4850798516038*^9, 
   3.4850798533808002`*^9}, {3.4850799057658*^9, 3.4850799708278*^9}, {
   3.4850800355038*^9, 3.4850800434178*^9}, {3.4850800810008*^9, 
   3.4850801090448*^9}, {3.4850801612488003`*^9, 3.4850801844558*^9}, {
   3.4850824680908003`*^9, 3.4850826741428003`*^9}, 3.4850834089178*^9, {
   3.4850912026428003`*^9, 3.4850912201247997`*^9}, {3.4850997553868*^9, 
   3.4850997685318003`*^9}, {3.4851127046678*^9, 3.4851127255678*^9}, {
   3.485124605692088*^9, 3.485124620114088*^9}, {3.4851928731118*^9, 
   3.4851928798747997`*^9}, {3.4851930625458*^9, 3.4851930637047997`*^9}, {
   3.4852629503683*^9, 3.4852629604213*^9}, {3.4852651372862997`*^9, 
   3.4852651608223*^9}, {3.4852652045343*^9, 3.4852652535143003`*^9}, {
   3.4852653016483*^9, 3.4852654515093*^9}, {3.4852655044193*^9, 
   3.4852655106273003`*^9}, {3.4852658109413*^9, 3.4852658135223*^9}, {
   3.4852659174123*^9, 3.4852659754613*^9}, 3.4852660449733*^9, 
   3.4852660910443*^9, {3.4852661513913*^9, 3.4852661566872997`*^9}, {
   3.4852662120823*^9, 3.4852662157202997`*^9}, {3.4852662805003*^9, 
   3.4852662825063*^9}, {3.4852663292672997`*^9, 3.4852663353133*^9}, {
   3.4852669321953*^9, 3.4852669396963*^9}, {3.4852719104174*^9, 
   3.4852719242953997`*^9}, {3.4852722021574*^9, 3.4852722085914*^9}, {
   3.4852785668943996`*^9, 3.4852785706414003`*^9}, {3.4853463525248003`*^9, 
   3.4853464013444*^9}, 3.4853491703424*^9, {3.4853559156052*^9, 
   3.4853560497352*^9}, {3.4853594783101997`*^9, 3.4853595039902*^9}, {
   3.485359583984*^9, 3.4853596512816*^9}, {3.4853596849704*^9, 
   3.4853597130744*^9}, {3.4853597467668*^9, 3.4853598288196*^9}, {
   3.4853598741524*^9, 3.4853599896084003`*^9}, {3.4853600330220003`*^9, 
   3.4853601050436*^9}, 3.4853638115586*^9, {3.4855440870290146`*^9, 
   3.485544094847015*^9}, {3.4856043877868605`*^9, 3.4856043887168603`*^9}, {
   3.4856044533328605`*^9, 3.48560458304086*^9}, {3.485606312532*^9, 
   3.485606333141*^9}, {3.4856063697279997`*^9, 3.485606484639*^9}, {
   3.4856069739969997`*^9, 3.4856069858190002`*^9}, {3.4856085608310003`*^9, 
   3.4856085826865997`*^9}, {3.4856095589814*^9, 3.4856095701042*^9}, {
   3.4856096303982*^9, 3.4856096339862003`*^9}, {3.4856099054418*^9, 
   3.4856099535522003`*^9}, {3.48561019907386*^9, 3.4856102224718604`*^9}, 
   3.4856103717630606`*^9, {3.4856105678918605`*^9, 3.4856105922658606`*^9}, {
   3.4856106600810604`*^9, 3.4856106748398604`*^9}, {3.4856115113994603`*^9, 
   3.48561152631826*^9}, {3.4856146655973663`*^9, 3.485614716198366*^9}, {
   3.485615041181366*^9, 3.485615065234366*^9}, {3.485616929162366*^9, 
   3.485616957511366*^9}, {3.485625964203*^9, 3.485625969408*^9}, {
   3.48562811274*^9, 3.485628144176*^9}, {3.4856293338156*^9, 
   3.4856293368156*^9}, {3.485675346696433*^9, 3.4856755671794333`*^9}, {
   3.485676394392433*^9, 3.4856764085344334`*^9}, {3.4856767813752337`*^9, 
   3.4856767974360332`*^9}, {3.4857060325846233`*^9, 3.485706066311823*^9}, 
   3.48573044357242*^9, {3.4857306054988203`*^9, 3.48573061078722*^9}, {
   3.4863095685306673`*^9, 3.4863095720316677`*^9}, {3.486309721355667*^9, 
   3.4863097269966674`*^9}, {3.4895039607778764`*^9, 3.489503961393876*^9}, {
   3.4900173694890003`*^9, 3.490017399741*^9}, {3.490797666351499*^9, 
   3.490797682446499*^9}, {3.4907979017244987`*^9, 3.4907979181834993`*^9}, {
   3.490798017560499*^9, 3.490798019784499*^9}, {3.4907980766714993`*^9, 
   3.490798080147499*^9}, {3.490798702710499*^9, 3.490798733016499*^9}, {
   3.4907987765284986`*^9, 3.490798780056499*^9}, {3.490799527444499*^9, 
   3.490799546149499*^9}, {3.490800125260499*^9, 3.490800126425499*^9}, 
   3.4908001577964993`*^9, {3.490800393167499*^9, 3.490800427750499*^9}, {
   3.490800481151499*^9, 3.490800559277499*^9}, {3.490802457627499*^9, 
   3.490802459227499*^9}, 3.4909847196678867`*^9, {3.490984755678887*^9, 
   3.4909847853418865`*^9}, {3.491062579897015*^9, 3.4910625814102154`*^9}, {
   3.491062617305815*^9, 3.491062627742215*^9}, {3.491063494828615*^9, 
   3.491063529014615*^9}, {3.491065039841615*^9, 3.491065050237615*^9}, {
   3.491068839043419*^9, 3.4910689029124193`*^9}, {3.4910695877924194`*^9, 
   3.491069594256419*^9}, {3.494409441693681*^9, 3.4944094420826807`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Backward Solution Routine", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.4457757445053*^9, 3.4457757528653*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Solve\[ScriptC]Func\[ScriptV]Func", ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Construct\[Epsilon]PolFuncShock", ";", "\[IndentingNewLine]", 
       RowBox[{"Iteration", "=", "0"}], ";", "\[IndentingNewLine]", 
       "Initialize\[ScriptC]Func\[ScriptV]Func", ";", " ", 
       "\[IndentingNewLine]", "BackwardIteration\[ScriptC]Func\[ScriptV]Func",
        ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Initialize\[ScriptC]Func\[ScriptV]Func", ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[ScriptC]FuncVec", " ", "=", 
        RowBox[{"{", 
         RowBox[{"Interpolation", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"\[ScriptW]Min", ",", "\[ScriptC]Min"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"10000.", ",", "10000."}], "}"}]}], "}"}], ",", 
           RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], "}"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"\[ScriptV]FuncVec", "=", " ", 
        RowBox[{"{", "\[ScriptU]", "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[ScriptK]\[Tau]Func", "=", 
        RowBox[{"\[ScriptK]\[ScriptH]Func", "=", 
         RowBox[{"\[ScriptL]\[Tau]Func", "=", 
          RowBox[{"{", "}"}]}]}]}], ";"}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"BackwardIteration\[ScriptC]Func\[ScriptV]Func", ":=", " ", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"While", "[", 
        RowBox[{"True", " ", ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"++", "Iteration"}], ";", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"Iteration", ">", "1000"}], ",", 
            RowBox[{
             RowBox[{"Print", "[", "\"\<Above 1000 iterations!!!\>\"", "]"}], 
             ";", 
             RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          "DoOneBackwardIteration\[ScriptC]Func\[ScriptV]Func", ";", 
          "\[IndentingNewLine]", 
          RowBox[{"CurrentIterationGap", "=", 
           RowBox[{"Max", "[", 
            RowBox[{"100", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Join", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{"(", 
                   RowBox[{"-", 
                    RowBox[{
                    RowBox[{"\[ScriptV]FuncVec", "[", 
                    RowBox[{"[", 
                    RowBox[{"-", "1"}], "]"}], "]"}], "[", 
                    RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"5", ";;", 
                    RowBox[{"-", "5"}]}], ",", "1"}], "]"}], "]"}], "]"}]}], 
                   ")"}], 
                  RowBox[{"(", 
                   RowBox[{"-", 
                    RowBox[{
                    RowBox[{"\[ScriptV]FuncVec", "[", 
                    RowBox[{"[", 
                    RowBox[{"-", "2"}], "]"}], "]"}], "[", 
                    RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"5", ";;", 
                    RowBox[{"-", "5"}]}], ",", "1"}], "]"}], "]"}], "]"}]}], 
                   ")"}]], ",", 
                 FractionBox[
                  RowBox[{
                   RowBox[{"\[ScriptC]FuncVec", "[", 
                    RowBox[{"[", 
                    RowBox[{"-", "2"}], "]"}], "]"}], "[", 
                   RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"5", ";;", 
                    RowBox[{"-", "5"}]}], ",", "1"}], "]"}], "]"}], "]"}], 
                  RowBox[{
                   RowBox[{"\[ScriptC]FuncVec", "[", 
                    RowBox[{"[", 
                    RowBox[{"-", "1"}], "]"}], "]"}], "[", 
                   RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"5", ";;", 
                    RowBox[{"-", "5"}]}], ",", "1"}], "]"}], "]"}], "]"}]]}], 
                "]"}], "-", "1"}], ")"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"CurrentIterationGap", "<", "MaxIterationGap"}], " ", "||",
              " ", 
             RowBox[{"Iteration", ">", "MaxIteration"}]}], " ", ",", 
            RowBox[{"Break", "[", "]"}]}], "]"}]}]}], "\[IndentingNewLine]", 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[ScriptC]OUT", "=", 
        RowBox[{"\[ScriptC]FuncVec", "[", 
         RowBox[{"[", 
          RowBox[{"-", "1"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[ScriptK]\[Tau]OUT", "=", 
        RowBox[{"Interpolation", "[", 
         RowBox[{"\[ScriptW]t\[ScriptK]\[Tau]t", ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptK]\[ScriptH]OUT", "=", 
        RowBox[{"Interpolation", "[", 
         RowBox[{"\[ScriptW]t\[ScriptK]\[ScriptH]t", ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptL]\[Tau]OUT", "=", 
        RowBox[{"Interpolation", "[", 
         RowBox[{"\[ScriptW]t\[ScriptL]\[Tau]t", ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptV]OUT", "=", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Evaluate", "[", 
               RowBox[{
                RowBox[{"Interpolation", "[", 
                 RowBox[{"\[ScriptW]t\[ScriptV]tTransf", ",", 
                  RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], 
                "[", "#", "]"}], "]"}], ")"}], "^", 
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Rho]"}], ")"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Rho]"}], ")"}]}], "]"}], "&"}]}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DoOneBackwardIteration\[ScriptC]Func\[ScriptV]Func", ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[ScriptK]\[Tau]t", "=", 
       RowBox[{"\[ScriptK]\[ScriptH]t", "=", 
        RowBox[{"\[ScriptL]\[Tau]t", "=", 
         RowBox[{"{", "}"}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Do", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"\[ScriptS]t", "=", 
          RowBox[{"\[ScriptS]tGrid", "[", 
           RowBox[{"[", "\[ScriptS]Loop", "]"}], "]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"Ind", "==", "\"\<Insurance\>\""}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"\[ScriptK]\[Tau]", "=", "0."}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[ScriptL]\[Tau]", "=", "0."}], ";"}], 
           "\[IndentingNewLine]", ",", 
           RowBox[{"(*", " ", 
            RowBox[{"else", " ", "no", " ", "insurance"}], " ", "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"\[ScriptK]\[Tau]", ",", "\[ScriptL]\[Tau]"}], "}"}], 
            "=", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"x", ",", "y"}], "}"}], "/.", 
             RowBox[{"FindRoot", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"\[ScriptCapitalV]P2\[ScriptK]\[Tau]t", "[", 
                   RowBox[{"x", ",", 
                    RowBox[{"\[ScriptS]t", "-", "x"}], ",", "y"}], "]"}], "==", 
                  RowBox[{"\[ScriptCapitalV]P2\[ScriptK]\[ScriptH]t", "[", 
                   RowBox[{"x", ",", 
                    RowBox[{"\[ScriptS]t", "-", "x"}], ",", "y"}], "]"}]}], 
                 ",", 
                 RowBox[{
                  RowBox[{"\[ScriptCapitalV]P2\[ScriptL]\[Tau]t", "[", 
                   RowBox[{"x", ",", 
                    RowBox[{"\[ScriptS]t", "-", "x"}], ",", "y"}], "]"}], 
                  "\[Equal]", "0."}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", 
                 RowBox[{"0.5", "\[ScriptS]t"}], ",", 
                 SuperscriptBox["10", 
                  RowBox[{"-", "12"}]], ",", 
                 RowBox[{"\[ScriptS]t", "-", 
                  SuperscriptBox["10", 
                   RowBox[{"-", "12"}]]}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"y", ",", "0.5", ",", 
                 SuperscriptBox["10", 
                  RowBox[{"-", "12"}]], ",", 
                 RowBox[{"1.", "-", 
                  SuperscriptBox["10", 
                   RowBox[{"-", "12"}]]}]}], "}"}]}], "]"}]}]}]}], 
          "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"\[ScriptK]\[ScriptH]", "=", 
          RowBox[{"\[ScriptS]t", "-", "\[ScriptK]\[Tau]"}]}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"\[ScriptK]\[Tau]t", ",", "\[ScriptK]\[Tau]"}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"\[ScriptK]\[ScriptH]t", ",", "\[ScriptK]\[ScriptH]"}], 
          "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"\[ScriptL]\[Tau]t", ",", "\[ScriptL]\[Tau]"}], "]"}], 
         ";"}], "\[IndentingNewLine]", ",", 
        RowBox[{"{", 
         RowBox[{"\[ScriptS]Loop", ",", "1", ",", 
          RowBox[{"Length", "[", "\[ScriptS]tGrid", "]"}]}], "}"}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptC]t", "=", 
       RowBox[{"{", "}"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Do", "[", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"\[ScriptK]\[ScriptH]t", "[", 
            RowBox[{"[", "i", "]"}], "]"}], ">", "0"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"\[ScriptC]t", ",", 
            RowBox[{"\[ScriptU]Pinverse", "[", 
             RowBox[{"\[ScriptCapitalV]P2\[ScriptK]\[ScriptH]t", "[", 
              RowBox[{
               RowBox[{"\[ScriptK]\[Tau]t", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", 
               RowBox[{"\[ScriptK]\[ScriptH]t", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", 
               RowBox[{"\[ScriptL]\[Tau]t", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], "]"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"\[ScriptC]t", ",", 
            RowBox[{"\[ScriptU]Pinverse", "[", 
             RowBox[{"\[ScriptCapitalV]P2\[ScriptK]\[Tau]t", "[", 
              RowBox[{
               RowBox[{"\[ScriptK]\[Tau]t", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", 
               RowBox[{"\[ScriptK]\[ScriptH]t", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", 
               RowBox[{"\[ScriptL]\[Tau]t", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "]"}]}], "]"}]}], 
         "\[IndentingNewLine]", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "\[ScriptS]tGrid", "]"}]}], "}"}]}], "]"}], 
      ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t", "=", 
       RowBox[{
       "\[ScriptC]t", "+", "\[ScriptK]\[Tau]t", "+", 
        "\[ScriptK]\[ScriptH]t"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptV]t", "=", 
       RowBox[{
        RowBox[{"\[ScriptU]", "[", "\[ScriptC]t", "]"}], "+", 
        RowBox[{"\[ScriptCapitalV]2tp1", "[", 
         RowBox[{
         "\[ScriptK]\[Tau]t", ",", "\[ScriptK]\[ScriptH]t", ",", 
          "\[ScriptL]\[Tau]t"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t\[ScriptC]t", "=", 
       RowBox[{"Union", "[", 
        RowBox[{"Chop", "[", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]Min", ",", "\[ScriptC]Min"}], "}"}], "}"}], 
           ",", 
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]t", ",", "\[ScriptC]t"}], "}"}], "]"}]}], 
          "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t\[ScriptV]tTransf", "=", 
       RowBox[{"Transpose", "[", 
        RowBox[{"{", 
         RowBox[{"\[ScriptW]t", ",", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Rho]"}], ")"}], "\[ScriptV]t"}], ")"}], 
           FractionBox["1", 
            RowBox[{"1", "-", "\[Rho]"}]]]}], "}"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t\[ScriptK]\[Tau]t", "=", 
       RowBox[{"Union", "[", 
        RowBox[{"Chop", "[", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]Min", ",", "\[ScriptK]\[Tau]Min"}], "}"}], 
            "}"}], ",", 
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]t", ",", "\[ScriptK]\[Tau]t"}], "}"}], 
            "]"}]}], "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t\[ScriptK]\[ScriptH]t", "=", 
       RowBox[{"Union", "[", 
        RowBox[{"Chop", "[", 
         RowBox[{"Join", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]Min", ",", "\[ScriptK]\[ScriptH]Min"}], "}"}],
             "}"}], ",", 
           RowBox[{"Transpose", "[", 
            RowBox[{"{", 
             RowBox[{"\[ScriptW]t", ",", "\[ScriptK]\[ScriptH]t"}], "}"}], 
            "]"}]}], "]"}], "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]t\[ScriptL]\[Tau]t", "=", 
       RowBox[{"Chop", "[", 
        RowBox[{"Transpose", "[", 
         RowBox[{"{", 
          RowBox[{"\[ScriptW]t", ",", "\[ScriptL]\[Tau]t"}], "}"}], "]"}], 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[ScriptC]FuncVec", ",", 
        RowBox[{"Interpolation", "[", 
         RowBox[{"\[ScriptW]t\[ScriptC]t", ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[ScriptK]\[Tau]Func", ",", 
        RowBox[{"Interpolation", "[", 
         RowBox[{"\[ScriptW]t\[ScriptK]\[Tau]t", ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[ScriptK]\[ScriptH]Func", ",", 
        RowBox[{"Interpolation", "[", 
         RowBox[{"\[ScriptW]t\[ScriptK]\[ScriptH]t", ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[ScriptL]\[Tau]Func", ",", 
        RowBox[{"Interpolation", "[", 
         RowBox[{"\[ScriptW]t\[ScriptL]\[Tau]t", ",", 
          RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"AppendTo", "[", 
       RowBox[{"\[ScriptV]FuncVec", ",", 
        RowBox[{
         RowBox[{"Evaluate", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"Evaluate", "[", 
               RowBox[{
                RowBox[{"Interpolation", "[", 
                 RowBox[{"\[ScriptW]t\[ScriptV]tTransf", ",", 
                  RowBox[{"InterpolationOrder", "\[Rule]", "1"}]}], "]"}], 
                "[", "#", "]"}], "]"}], ")"}], "^", 
             RowBox[{"(", 
              RowBox[{"1", "-", "\[Rho]"}], ")"}]}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Rho]"}], ")"}]}], "]"}], "&"}]}], "]"}], 
      ";"}]}], "\[IndentingNewLine]", "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4473317589102*^9, 3.4473317627946*^9}, {
   3.4473319011977997`*^9, 3.4473319157058*^9}, {3.4473321091926003`*^9, 
   3.4473321117198*^9}, {3.4473338594658003`*^9, 3.447333860901*^9}, 
   3.4473338933334*^9, {3.4473339477618*^9, 3.4473339975414*^9}, {
   3.4473430805248003`*^9, 3.4473431454519997`*^9}, {3.4473431943424*^9, 
   3.4473432087412*^9}, {3.4473432510016003`*^9, 3.4473432553696003`*^9}, {
   3.447343303324*^9, 3.447343317442*^9}, {3.4473434173912*^9, 
   3.4473434567656*^9}, {3.4473434888859997`*^9, 3.447343489432*^9}, {
   3.447343834738*^9, 3.4473438347848*^9}, 3.4473446036952*^9, {
   3.4473446404644003`*^9, 3.4473447120996*^9}, {3.4473448844796*^9, 
   3.4473449288928003`*^9}, {3.4473450730368*^9, 3.4473451130508003`*^9}, {
   3.4473461552482*^9, 3.4473461813157997`*^9}, {3.447346313245*^9, 
   3.4473463364110003`*^9}, {3.4473463979217997`*^9, 
   3.4473463979686003`*^9}, {3.4473473538792*^9, 3.4473473630208*^9}, {
   3.4473474185411997`*^9, 3.4473474213336*^9}, {3.4473491124122*^9, 
   3.4473491233789997`*^9}, {3.4481435561408*^9, 3.4481435597868*^9}, {
   3.4489027116726*^9, 3.4489027211976*^9}, {3.4489027695495996`*^9, 
   3.4489028119006*^9}, {3.4489028419426003`*^9, 3.4489028572036*^9}, {
   3.4489028965866003`*^9, 3.4489029005836*^9}, 3.4489029683666*^9, 
   3.4489030054496*^9, {3.4489032338456*^9, 3.4489032476596003`*^9}, {
   3.4489034797106*^9, 3.4489035031786003`*^9}, {3.4489035985716*^9, 
   3.4489036141916*^9}, {3.4489036899546003`*^9, 3.4489036999976*^9}, {
   3.4491673914230003`*^9, 3.449167391557*^9}, {3.44917509971*^9, 
   3.449175182973*^9}, {3.449175287533*^9, 3.449175318834*^9}, {
   3.449175415825*^9, 3.449175423227*^9}, {3.449175538523*^9, 
   3.449175552285*^9}, {3.449175587051*^9, 3.449175596266*^9}, {
   3.4491756310699997`*^9, 3.449175672163*^9}, {3.449175714065*^9, 
   3.449175717961*^9}, 3.4491757935889997`*^9, {3.449175829132*^9, 
   3.449175924139*^9}, {3.44917596476*^9, 3.449175993968*^9}, {
   3.449176042183*^9, 3.449176083317*^9}, {3.449176147764*^9, 
   3.4491761924440002`*^9}, {3.449176266508*^9, 3.4491763018050003`*^9}, {
   3.4491764599309998`*^9, 3.449176497193*^9}, {3.449176532623*^9, 
   3.4491765561219997`*^9}, 3.449176791826*^9, {3.449176824333*^9, 
   3.449176828795*^9}, {3.449176889045*^9, 3.4491769059849997`*^9}, {
   3.449176945318*^9, 3.4491770079370003`*^9}, {3.449177049359*^9, 
   3.4491771791099997`*^9}, {3.449177244334*^9, 3.449177250322*^9}, {
   3.4491773192530003`*^9, 3.4491773757130003`*^9}, {3.4491774842469997`*^9, 
   3.44917751662*^9}, {3.44917778923*^9, 3.449177852472*^9}, {
   3.449177925645*^9, 3.449178164391*^9}, {3.44917857344*^9, 
   3.449178602642*^9}, {3.449178663366*^9, 3.449178674217*^9}, {
   3.449178814193*^9, 3.449178830797*^9}, {3.4491793779890003`*^9, 
   3.449179380035*^9}, {3.449179933781*^9, 3.449179935392*^9}, {
   3.4491809219049997`*^9, 3.449180966168*^9}, {3.449180997994*^9, 
   3.449181009449*^9}, {3.449336022461*^9, 3.449336025092*^9}, {
   3.449619467311*^9, 3.449619521263*^9}, {3.449620051817*^9, 
   3.449620115119*^9}, 3.449620342245*^9, {3.449620916002*^9, 
   3.4496209330810003`*^9}, {3.449654585237*^9, 3.4496546092460003`*^9}, 
   3.449655051951*^9, {3.449655087227*^9, 3.449655102903*^9}, {
   3.449655142304*^9, 3.449655159933*^9}, {3.449655344052*^9, 
   3.449655348734*^9}, {3.449661117047*^9, 3.4496611217679996`*^9}, {
   3.4496612174*^9, 3.449661287924*^9}, {3.44966135646*^9, 
   3.449661384961*^9}, {3.449661614203*^9, 3.449661676274*^9}, 
   3.449662214575*^9, {3.4496628109969997`*^9, 3.449662867495*^9}, 
   3.449664273557*^9, {3.449670495336*^9, 3.449670509824*^9}, {
   3.449675580002*^9, 3.4496755924379997`*^9}, {3.4499647572349997`*^9, 
   3.4499647692980003`*^9}, {3.449964815106*^9, 3.449964905461*^9}, {
   3.449965012685*^9, 3.4499650264049997`*^9}, {3.449965059356*^9, 
   3.44996505983*^9}, {3.449965141749*^9, 3.4499652051730003`*^9}, {
   3.4500096765769997`*^9, 3.450009688958*^9}, 3.4649540887233*^9, {
   3.4649545285292997`*^9, 3.4649545428643*^9}, {3.4649545740153*^9, 
   3.4649545794543*^9}, {3.4649577723623*^9, 3.4649578117963*^9}, {
   3.4649578466752996`*^9, 3.4649578901253*^9}, {3.4666279430385*^9, 
   3.4666279434084997`*^9}, {3.4666322230594997`*^9, 3.4666322305415*^9}, {
   3.4666328579797*^9, 3.4666328709589*^9}, {3.4666329789525003`*^9, 
   3.4666331487741003`*^9}, {3.4666332244965*^9, 3.4666332851025*^9}, {
   3.4666333190013*^9, 3.4666334367657003`*^9}, {3.4666335152337*^9, 
   3.4666335173553*^9}, {3.4666336512345*^9, 3.4666336889709*^9}, {
   3.4666337300924997`*^9, 3.4666338219765*^9}, {3.4666339163409*^9, 
   3.4666340134509*^9}, 3.4666367203827*^9, {3.4666789170843096`*^9, 
   3.4666789370413094`*^9}, {3.4666790414523096`*^9, 3.4666790790673094`*^9}, 
   3.4666792691223097`*^9, {3.4666793126883097`*^9, 3.4666793158973093`*^9}, 
   3.4666815565343094`*^9, {3.4666816640523095`*^9, 3.4666816688023095`*^9}, {
   3.4666822150263095`*^9, 3.4666823417533092`*^9}, {3.4666824127343097`*^9, 
   3.4666824342473097`*^9}, {3.4666824806733093`*^9, 
   3.4666825207203093`*^9}, {3.4666827183993096`*^9, 
   3.4666828377393093`*^9}, {3.4666828777323093`*^9, 
   3.4666829648473096`*^9}, {3.4666830879753094`*^9, 
   3.4666831109773097`*^9}, {3.4666832188813095`*^9, 
   3.4666832768573093`*^9}, {3.4666838130933094`*^9, 
   3.4666838339203095`*^9}, {3.4666838831193094`*^9, 
   3.4666839686423097`*^9}, {3.4666840113953094`*^9, 3.4666840144793096`*^9}, 
   3.4666840845053096`*^9, {3.4666847574973097`*^9, 3.4666847658223095`*^9}, 
   3.46668486999531*^9, {3.46668493065331*^9, 3.4666849361513095`*^9}, 
   3.46668861901501*^9, 3.4666894284580097`*^9, 3.4666898487900095`*^9, 
   3.4666973623480096`*^9, {3.4666974039600096`*^9, 3.4666974078860097`*^9}, {
   3.46669752204101*^9, 3.4666975815440097`*^9}, {3.4666977687440095`*^9, 
   3.4666977864670095`*^9}, {3.4666978295130095`*^9, 3.46669788519201*^9}, {
   3.4666980991530094`*^9, 3.4666981208080096`*^9}, {3.4666981513470097`*^9, 
   3.4666981634860096`*^9}, {3.4666982823280096`*^9, 3.4666984211600094`*^9}, 
   3.4666990429760094`*^9, {3.4666991006050096`*^9, 3.4666991050370097`*^9}, 
   3.4667011858200097`*^9, {3.4667038186690097`*^9, 3.4667038270280094`*^9}, {
   3.4667038723510094`*^9, 3.4667039108550096`*^9}, {3.466709155531*^9, 
   3.466709163491*^9}, {3.4667095708269997`*^9, 3.466709604146*^9}, {
   3.466709694258*^9, 3.466709735873*^9}, {3.4667100888269997`*^9, 
   3.466710090637*^9}, {3.466713275486*^9, 3.466713278461*^9}, {
   3.466714480627*^9, 3.466714494876*^9}, {3.466719217738*^9, 
   3.466719245892*^9}, {3.4667195004849997`*^9, 3.466719514002*^9}, {
   3.46676091005*^9, 3.466760939191*^9}, {3.4667609725480003`*^9, 
   3.4667609747279997`*^9}, {3.4667610264049997`*^9, 3.466761032558*^9}, {
   3.4667615165480003`*^9, 3.466761563679*^9}, {3.466761601359*^9, 
   3.466761632769*^9}, {3.466763879174*^9, 3.4667638836689997`*^9}, {
   3.466764639784*^9, 3.466764687241*^9}, {3.466764721948*^9, 
   3.466764732475*^9}, {3.466765338883*^9, 3.466765342534*^9}, {
   3.466765399281*^9, 3.466765414712*^9}, {3.4667665802790003`*^9, 
   3.4667665948269997`*^9}, {3.466767067867*^9, 3.466767144402*^9}, {
   3.466767253825*^9, 3.466767260216*^9}, {3.466767449825*^9, 
   3.4667674840950003`*^9}, 3.4667679821940002`*^9, {3.466768816329*^9, 
   3.466768831758*^9}, 3.4667688662609997`*^9, {3.466769873977*^9, 
   3.4667699370179996`*^9}, 3.466770617965*^9, {3.466771272398*^9, 
   3.466771327866*^9}, {3.466771646302*^9, 3.466771663233*^9}, 
   3.466771697092*^9, 3.466772975942*^9, 3.4667741522720003`*^9, {
   3.466774208111*^9, 3.466774209484*^9}, {3.466774331863*^9, 
   3.46677433273*^9}, 3.4668080202086*^9, {3.4675882144263*^9, 
   3.4675882163852997`*^9}, {3.467719881488648*^9, 3.467719883010648*^9}, {
   3.4684521772381*^9, 3.4684521917230997`*^9}, 3.4684523996701*^9, {
   3.4684524698871*^9, 3.4684524896111*^9}, {3.468492162711*^9, 
   3.468492169458*^9}, {3.468492259644*^9, 3.468492310469*^9}, {
   3.468494071711*^9, 3.468494086895*^9}, {3.4684941193780003`*^9, 
   3.468494154916*^9}, 3.468494197613*^9, 3.468495365111*^9, {
   3.4684961341280003`*^9, 3.4684961419519997`*^9}, {3.468496175869*^9, 
   3.468496269352*^9}, {3.468496347832*^9, 3.468496351278*^9}, {
   3.468496403648*^9, 3.468496417454*^9}, {3.468612911286297*^9, 
   3.468612913020297*^9}, {3.468615095786297*^9, 3.4686151205712967`*^9}, {
   3.4686157879272966`*^9, 3.4686160691492968`*^9}, 3.46862545177*^9, {
   3.468683567065*^9, 3.468683582766*^9}, {3.468684870316*^9, 
   3.468684910358*^9}, {3.468684948126*^9, 3.468684969495*^9}, {
   3.468689369867*^9, 3.468689395509*^9}, {3.468689607276*^9, 
   3.468689608524*^9}, {3.4686931043677*^9, 3.4686931161777*^9}, {
   3.4686954149386997`*^9, 3.4686954205907*^9}, {3.4686966882407*^9, 
   3.4686967706307*^9}, {3.4686968255507*^9, 3.4686969186366997`*^9}, {
   3.4686978008287*^9, 3.4686978255137*^9}, {3.4686985766447*^9, 
   3.4686985794217*^9}, {3.4687705984927*^9, 3.4687706432490997`*^9}, {
   3.4687709017656*^9, 3.4687709719556*^9}, {3.4687718942836*^9, 
   3.4687720884926*^9}, {3.4687721231896*^9, 3.4687721291096*^9}, {
   3.4687721704026003`*^9, 3.4687721947226*^9}, {3.4687722252746*^9, 
   3.4687722851076*^9}, {3.4687723299206*^9, 3.4687723432676*^9}, {
   3.4687731980636*^9, 3.4687732093726*^9}, 3.4687732543836*^9, {
   3.4687734169806004`*^9, 3.4687734418826*^9}, {3.4687735705006*^9, 
   3.4687736433466*^9}, {3.4687741474356003`*^9, 3.4687741842466*^9}, {
   3.4688429546885*^9, 3.4688429638845*^9}, {3.4688430001125*^9, 
   3.4688430049465*^9}, {3.4688430953595*^9, 3.4688431092675*^9}, {
   3.4688581480550003`*^9, 3.468858183983*^9}, {3.468860833325*^9, 
   3.46886093474*^9}, {3.468869369869*^9, 3.468869375972*^9}, {
   3.4688715748142*^9, 3.4688715763118*^9}, {3.4688717960690002`*^9, 
   3.4688717977693996`*^9}, {3.4688718302174*^9, 3.4688719189814*^9}, {
   3.468873103025488*^9, 3.468873103945888*^9}, {3.468873186813088*^9, 
   3.468873188700688*^9}, {3.4689239729700003`*^9, 3.468923973843*^9}, 
   3.4689506784230003`*^9, {3.469039727017*^9, 3.469039745333*^9}, {
   3.469099276116*^9, 3.469099435301*^9}, {3.4691045109230003`*^9, 
   3.469104568458*^9}, {3.469124614164*^9, 3.469124619269*^9}, 
   3.4691288493152*^9, {3.4691298643052*^9, 3.4691298868532*^9}, {
   3.4691299913002*^9, 3.4691300113252*^9}, 3.4691306219192*^9, {
   3.4691307984952*^9, 3.4691308064332*^9}, {3.4691310255712*^9, 
   3.4691310343082*^9}, {3.4691311010052*^9, 3.4691311044351997`*^9}, {
   3.4691383500362*^9, 3.4691383546572*^9}, {3.4691386298752003`*^9, 
   3.4691386871322002`*^9}, {3.4691387579372*^9, 3.4691387633602*^9}, 
   3.4691388752642*^9, {3.4691389651792*^9, 3.4691389676032*^9}, {
   3.4691390208422003`*^9, 3.4691390491692*^9}, 3.4691391078642*^9, 
   3.4691392007972*^9, {3.4691394530562*^9, 3.4691394531182003`*^9}, {
   3.4691400280341997`*^9, 3.4691400597162*^9}, {3.4691408939102*^9, 
   3.4691410334112*^9}, {3.4691410969122*^9, 3.4691412406912003`*^9}, 
   3.4691419913262*^9, {3.4691426617562*^9, 3.4691426657492*^9}, {
   3.4691431049351997`*^9, 3.4691431130762*^9}, {3.4691431462092*^9, 
   3.4691431476502*^9}, {3.4691842009300146`*^9, 3.4691842010370145`*^9}, {
   3.4691864989140143`*^9, 3.4691865584420147`*^9}, {3.4691865977180147`*^9, 
   3.4691866001630144`*^9}, {3.4691870533080144`*^9, 
   3.4691870567030144`*^9}, {3.469187110148014*^9, 3.469187128863014*^9}, {
   3.469187320238014*^9, 3.4691873209590144`*^9}, {3.469187392587014*^9, 
   3.4691875067530146`*^9}, 3.4691878383380146`*^9, {3.4691881694020147`*^9, 
   3.4691882076500144`*^9}, {3.4691882385530148`*^9, 
   3.4691882677060146`*^9}, {3.4691884037030144`*^9, 
   3.4691884042010145`*^9}, {3.4691884631890144`*^9, 3.4691884661090145`*^9}, 
   3.4691887834330144`*^9, {3.4691889415630145`*^9, 3.4691889477810144`*^9}, 
   3.4691890032100143`*^9, 3.4691915287310143`*^9, 3.4691916206700144`*^9, {
   3.4691917044090147`*^9, 3.4691917054930143`*^9}, {3.4691919749490147`*^9, 
   3.4691920604630146`*^9}, {3.4691928092980146`*^9, 
   3.4691928258450146`*^9}, {3.4691930310840144`*^9, 
   3.4691930577840147`*^9}, {3.4691931227540145`*^9, 3.4691931315080147`*^9}, 
   3.469193506377014*^9, {3.4691943168610144`*^9, 3.4691943174810143`*^9}, 
   3.469201438714014*^9, {3.469201633613014*^9, 3.4692016372740145`*^9}, 
   3.4692020006160145`*^9, {3.4692032026030145`*^9, 3.4692032068850145`*^9}, 
   3.4692043573240147`*^9, {3.4692043892180147`*^9, 3.4692043989140143`*^9}, 
   3.4692097836300144`*^9, 3.4692120107544146`*^9, {3.4695463852460003`*^9, 
   3.469546402249*^9}, {3.4697337920022*^9, 3.4697337924362*^9}, 
   3.469748344468*^9, {3.469748376707*^9, 3.469748383807*^9}, {
   3.4722246860792*^9, 3.4722246896552*^9}, 3.473361582799*^9, {
   3.47463476248*^9, 3.474634765133*^9}, {3.474640246991*^9, 
   3.4746402500360003`*^9}, {3.4746406847980003`*^9, 3.474640686835*^9}, {
   3.474640738877*^9, 3.474640746182*^9}, {3.474641167873*^9, 
   3.474641181727*^9}, {3.474641369784*^9, 3.474641370074*^9}, {
   3.474648526908*^9, 3.4746485298450003`*^9}, {3.474649491883*^9, 
   3.474649496814*^9}, {3.474649537416*^9, 3.474649540245*^9}, {
   3.4746521911375475`*^9, 3.474652246815547*^9}, {3.4746526316015472`*^9, 
   3.474652635371547*^9}, {3.474653830917547*^9, 3.4746538463285475`*^9}, {
   3.4746585611325474`*^9, 3.4746585713375473`*^9}, 3.474659091907547*^9, {
   3.474659313266547*^9, 3.474659316431547*^9}, 3.4746596413285475`*^9, {
   3.4747197110594997`*^9, 3.4747197143945*^9}, {3.4747225300041265`*^9, 
   3.4747225316109266`*^9}, {3.474723444027827*^9, 3.4747234537878265`*^9}, 
   3.474733848216827*^9, 3.474734894897827*^9, {3.474735026684827*^9, 
   3.474735027010827*^9}, {3.474735101164827*^9, 3.4747351087408266`*^9}, 
   3.4747355888968267`*^9, {3.474737602642827*^9, 3.4747376096418266`*^9}, 
   3.474737674944827*^9, {3.4747382407918267`*^9, 3.4747382473508267`*^9}, {
   3.474740974597827*^9, 3.4747409986698265`*^9}, {3.4747414549238267`*^9, 
   3.4747414555548267`*^9}, 3.4749975281035585`*^9, 3.4750900767060003`*^9, 
   3.475253190541*^9, {3.475253232826*^9, 3.475253233409*^9}, 
   3.4752616108887*^9, 3.4752636442037*^9, 3.4752636745787*^9, {
   3.4752655274027*^9, 3.4752655516287003`*^9}, {3.4752656758047*^9, 
   3.4752656785706997`*^9}, {3.480427211078*^9, 3.48042725971*^9}, {
   3.480497556725*^9, 3.480497565454*^9}, {3.480511397501646*^9, 
   3.480511467002646*^9}, 3.4805115572806463`*^9, {3.4805200318396463`*^9, 
   3.480520121120646*^9}, {3.4805357525526457`*^9, 3.4805357586886463`*^9}, {
   3.480535823818646*^9, 3.480535858716646*^9}, {3.480535913278646*^9, 
   3.480535935613646*^9}, {3.480609365149666*^9, 3.4806093703846655`*^9}, {
   3.480609888416666*^9, 3.480609895938666*^9}, {3.4806955915823*^9, 
   3.4806956291542997`*^9}, {3.4822364611604*^9, 3.4822364611844*^9}, {
   3.482589554373086*^9, 3.4825895575370865`*^9}, {3.4825895887610865`*^9, 
   3.4825896121390862`*^9}, {3.482589642390086*^9, 3.4825896437570863`*^9}, {
   3.4825897647770863`*^9, 3.482589882010086*^9}, {3.4825899582630863`*^9, 
   3.4825899646880865`*^9}, {3.4825978104920864`*^9, 
   3.4825978157900863`*^9}, {3.4825978680000863`*^9, 
   3.4825980312420864`*^9}, {3.482598069050086*^9, 3.482598074699086*^9}, {
   3.482599590963086*^9, 3.4825995935200863`*^9}, {3.4825996428290863`*^9, 
   3.482599685957086*^9}, {3.482600210187086*^9, 3.4826003255470862`*^9}, {
   3.482600514536086*^9, 3.4826005178690863`*^9}, {3.482600549930086*^9, 
   3.4826005536320863`*^9}, {3.4826007720990863`*^9, 3.4826010127240863`*^9}, 
   3.482601058517086*^9, {3.482601103450086*^9, 3.482601114418086*^9}, {
   3.482601532988086*^9, 3.4826015363810863`*^9}, 3.4830137338134003`*^9, {
   3.4830157826614*^9, 3.4830158304414*^9}, {3.483795336069866*^9, 
   3.4837953398488665`*^9}, {3.4837956211598663`*^9, 3.483795680287866*^9}, {
   3.483795715453866*^9, 3.4837957435818663`*^9}, {3.483795801281866*^9, 
   3.483795807300866*^9}, 3.483796021908866*^9, {3.483798389491866*^9, 
   3.483798508559866*^9}, {3.483798553978866*^9, 3.4837985846538663`*^9}, {
   3.483798809580866*^9, 3.4837988115028663`*^9}, 3.4838140614045577`*^9, {
   3.4838140982355576`*^9, 3.4838141273525577`*^9}, {3.483814339120558*^9, 
   3.4838144407235575`*^9}, {3.483977920472*^9, 3.483977950384*^9}, 
   3.483978067149*^9, {3.483978128741*^9, 3.483978140784*^9}, 
   3.483978193014*^9, {3.483979197217*^9, 3.4839792003599997`*^9}, {
   3.483979242808*^9, 3.483979250123*^9}, {3.4839793479119997`*^9, 
   3.4839794144309998`*^9}, {3.483979595325*^9, 3.483979605361*^9}, {
   3.4839796499300003`*^9, 3.483979652711*^9}, {3.4839838793528*^9, 
   3.4839838829328003`*^9}, {3.4839847261868*^9, 3.4839847365908003`*^9}, 
   3.4845630589518003`*^9, {3.4845744667738*^9, 3.4845744697358*^9}, {
   3.4845746177158003`*^9, 3.4845746771568003`*^9}, {3.4846752700545*^9, 
   3.4846752720924997`*^9}, {3.4846768122635*^9, 3.4846768143975*^9}, {
   3.4847800865071*^9, 3.4847800886131*^9}, {3.4847802953599*^9, 
   3.4847803014439*^9}, 3.4847814585788*^9, {3.4848265634933867`*^9, 
   3.4848265765993867`*^9}, {3.4849392715518*^9, 3.4849392742128*^9}, {
   3.4850912811348*^9, 3.4850913722058*^9}, {3.4850969772318*^9, 
   3.4850969804058*^9}, {3.4850971725438004`*^9, 3.4850971787678003`*^9}, {
   3.4850980183618*^9, 3.4850980609158*^9}, 3.4851070397398*^9, {
   3.4851130443598003`*^9, 3.4851130489068003`*^9}, {3.4851891675793*^9, 
   3.4851892015903*^9}, {3.4853782981696997`*^9, 3.4853783259697*^9}, {
   3.485427579994634*^9, 3.485427664612634*^9}, {3.485427744360634*^9, 
   3.485427784710634*^9}, {3.4854278328476343`*^9, 3.4854278883026342`*^9}, {
   3.4854283900436344`*^9, 3.485428420556634*^9}, {3.4854284560956345`*^9, 
   3.485428503875634*^9}, {3.4854285414536343`*^9, 3.485428541952634*^9}, {
   3.4854287624396343`*^9, 3.4854287802936344`*^9}, {3.485428814068634*^9, 
   3.485428818383634*^9}, {3.485428887587634*^9, 3.485429006287634*^9}, {
   3.4854435056734285`*^9, 3.485443506297429*^9}, {3.4854483074116344`*^9, 
   3.4854483102816343`*^9}, {3.485448801541634*^9, 3.4854488091236343`*^9}, {
   3.485453863185634*^9, 3.485453875720034*^9}, {3.4854540621202345`*^9, 
   3.485454184819034*^9}, {3.485454263940034*^9, 3.485454395637234*^9}, {
   3.485454429035634*^9, 3.485454503958834*^9}, {3.485454734727434*^9, 
   3.485454739026634*^9}, {3.485455024165434*^9, 3.4854551494062343`*^9}, {
   3.4854553125182343`*^9, 3.485455347542634*^9}, {3.485455384723034*^9, 
   3.4854554040114346`*^9}, {3.485455443497834*^9, 3.485455447538234*^9}, {
   3.4854554950682344`*^9, 3.485455575962634*^9}, {3.4854557841966343`*^9, 
   3.4854557860366344`*^9}, 3.4854558550302343`*^9, {3.4854561155642343`*^9, 
   3.4854561175766344`*^9}, {3.4854573252398343`*^9, 
   3.4854573265190344`*^9}, {3.485457481551834*^9, 3.485457519787434*^9}, {
   3.485457553857834*^9, 3.4854575558546343`*^9}, {3.485457719155434*^9, 
   3.4854577252550344`*^9}, {3.485457799869834*^9, 3.485457802615434*^9}, {
   3.4854578433002343`*^9, 3.485457849477834*^9}, {3.4854578954354343`*^9, 
   3.4854579271658344`*^9}, {3.485458749436034*^9, 3.485458752743234*^9}, {
   3.485459138222834*^9, 3.485459140874834*^9}, {3.485459488029434*^9, 
   3.485459765735034*^9}, 3.485459843662034*^9, {3.485459882995634*^9, 
   3.485459898430034*^9}, {3.4854601944552345`*^9, 3.4854602232840343`*^9}, {
   3.485460404306434*^9, 3.4854604061160345`*^9}, {3.4854614923112345`*^9, 
   3.4854615305600343`*^9}, {3.485461742289634*^9, 3.485461747121234*^9}, {
   3.4856051111429996`*^9, 3.4856051464379997`*^9}, {3.4856051944379997`*^9, 
   3.485605310889*^9}, {3.485605350783*^9, 3.485605373159*^9}, {
   3.4856060954709997`*^9, 3.4856061059370003`*^9}, {3.4856065195620003`*^9, 
   3.485606699146*^9}, {3.4856067332539997`*^9, 3.485606789381*^9}, {
   3.485606835656*^9, 3.4856068708789997`*^9}, {3.485607015684*^9, 
   3.485607026406*^9}, {3.4856070620220003`*^9, 3.485607135325*^9}, {
   3.4856080335822*^9, 3.485608069509*^9}, {3.4856081001317997`*^9, 
   3.485608127697*^9}, {3.485616971551366*^9, 3.485616974926366*^9}, {
   3.485617019141366*^9, 3.485617038441366*^9}, 3.485619019173366*^9, {
   3.4856287458316*^9, 3.4856289290284*^9}, {3.4856291050104*^9, 
   3.4856291553504*^9}, {3.4856768183240337`*^9, 3.485676855918433*^9}, {
   3.4856781405140333`*^9, 3.4856781419804335`*^9}, {3.4856783923916335`*^9, 
   3.4856783946692333`*^9}, {3.48567986463062*^9, 3.4856798934750204`*^9}, 
   3.48568266784402*^9, {3.48568518467202*^9, 3.4856852906990204`*^9}, {
   3.4856853390620203`*^9, 3.48568534933002*^9}, {3.4856854872580204`*^9, 
   3.48568555669302*^9}, {3.4856855879440203`*^9, 3.48568591523502*^9}, 
   3.48568595245502*^9, 3.48568598944302*^9, 3.48568606294602*^9, 
   3.4856861559900203`*^9, {3.48568619027502*^9, 3.4856862852230206`*^9}, {
   3.48568748294242*^9, 3.48568750132242*^9}, {3.4856878049356203`*^9, 
   3.4856878115536203`*^9}, {3.48568818505262*^9, 3.48568819075562*^9}, {
   3.48569121861632*^9, 3.4856912314893203`*^9}, 3.4856935055980206`*^9, {
   3.48570084907672*^9, 3.4857008742137203`*^9}, {3.48570218584272*^9, 
   3.48570219105272*^9}, {3.48570371579502*^9, 3.4857037210130205`*^9}, {
   3.4857045898429203`*^9, 3.4857045937019205`*^9}, {3.485706123127023*^9, 
   3.485706123236223*^9}, {3.48572089453183*^9, 3.48572092768183*^9}, {
   3.48572120048943*^9, 3.48572127970623*^9}, {3.48572140810983*^9, 
   3.48572140864023*^9}, {3.4857215086518297`*^9, 3.48572155348623*^9}, 
   3.48572226550143*^9, {3.4857223481094303`*^9, 3.48572235144783*^9}, 
   3.48572781242382*^9, {3.48573370772122*^9, 3.48573374368762*^9}, {
   3.48575968268342*^9, 3.48575974639382*^9}, 3.4863092458566675`*^9, {
   3.4863093068616676`*^9, 3.486309326895667*^9}, {3.4863094537336674`*^9, 
   3.4863094990076675`*^9}, {3.4863101803766675`*^9, 
   3.4863102261556673`*^9}, {3.4863102741916676`*^9, 
   3.4863102911116676`*^9}, {3.4863104378286676`*^9, 
   3.4863104768326674`*^9}, {3.486310806282667*^9, 3.486310854775667*^9}, 
   3.4863124787016673`*^9, 3.4863125148376675`*^9, {3.4863145757606673`*^9, 
   3.486314578716667*^9}, {3.4864643409316*^9, 3.4864643742566*^9}, {
   3.4864646860346003`*^9, 3.4864647208606*^9}, {3.4864648132106*^9, 
   3.4864648317606*^9}, 3.4864652253456*^9, {3.4864839220046*^9, 
   3.4864839359386*^9}, {3.4864839839056*^9, 3.4864840180016003`*^9}, {
   3.4864841318136*^9, 3.4864841690826*^9}, {3.4864842134086*^9, 
   3.4864843017426*^9}, {3.4864851375316*^9, 3.4864852722656*^9}, {
   3.4864860257806*^9, 3.4864860442195997`*^9}, {3.4867173414976*^9, 
   3.4867174270906*^9}, {3.4867188874466*^9, 3.4867188953556004`*^9}, {
   3.4890841624284706`*^9, 3.489084165003471*^9}, {3.489503961400876*^9, 
   3.4895039614758763`*^9}, {3.489504050740876*^9, 3.4895040652158766`*^9}, 
   3.490017634561*^9, 3.4900176774110003`*^9, {3.4900180005559998`*^9, 
   3.490018004134*^9}, 3.4901155112560167`*^9, {3.490797455035499*^9, 
   3.490797577267499*^9}, {3.490797618706499*^9, 3.490797774194499*^9}, {
   3.490797820694499*^9, 3.490797837375499*^9}, {3.4907978826134987`*^9, 
   3.490797897725499*^9}, {3.490797971107499*^9, 3.4907979746534986`*^9}, {
   3.4907981748744993`*^9, 3.490798203064499*^9}, {3.4907982766714993`*^9, 
   3.490798279783499*^9}, {3.4907984768414993`*^9, 3.490798484286499*^9}, {
   3.490798517239499*^9, 3.490798541467499*^9}, {3.490798586885499*^9, 
   3.490798656692499*^9}, {3.490798800682499*^9, 3.490798831479499*^9}, 
   3.490799273185499*^9, {3.490799374993499*^9, 3.490799522178499*^9}, {
   3.490799577908499*^9, 3.490799640268499*^9}, {3.4907997263674994`*^9, 
   3.490799730390499*^9}, 3.490800443531499*^9, {3.490800580011499*^9, 
   3.4908005831134987`*^9}, {3.4908018634154987`*^9, 3.490801874677499*^9}, {
   3.490801974412499*^9, 3.490801987108499*^9}, {3.490803574152499*^9, 
   3.490803652384499*^9}, {3.490804186663499*^9, 3.490804187268499*^9}, {
   3.490804330483499*^9, 3.490804416053499*^9}, 3.490804451478499*^9, {
   3.490804503826499*^9, 3.4908045119404993`*^9}, {3.4908046480254993`*^9, 
   3.490804716739499*^9}, {3.4908047587494993`*^9, 3.490804765669499*^9}, {
   3.490804960092499*^9, 3.490804960128499*^9}, {3.490984763873887*^9, 
   3.490984764685887*^9}, {3.4910613967005997`*^9, 3.4910614076626*^9}, {
   3.4910615266446*^9, 3.4910615762066*^9}, {3.4910616169426003`*^9, 
   3.4910616408166*^9}, 3.4910620673006*^9, {3.491062677242615*^9, 
   3.491062686874615*^9}, {3.491063807565615*^9, 3.4910638568906155`*^9}, {
   3.491065066927615*^9, 3.491065115157615*^9}, {3.491065267344615*^9, 
   3.4910652804026155`*^9}, {3.491065315880615*^9, 3.4910653192816153`*^9}, {
   3.491069002963419*^9, 3.491069009349419*^9}, {3.4910691588474193`*^9, 
   3.491069161081419*^9}, {3.491069756060419*^9, 3.491069779449419*^9}, {
   3.4910699284244194`*^9, 3.4910699582744193`*^9}, {3.4911195868054028`*^9, 
   3.491119609334403*^9}, {3.6216656471612496`*^9, 3.6216656614190655`*^9}}]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1264, 679},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (32-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 550, 8, 86, "Section",
 InitializationCell->True],
Cell[1120, 32, 19335, 379, 460, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[20492, 416, 133, 2, 86, "Section",
 InitializationCell->True],
Cell[20628, 420, 41863, 747, 1389, "Input",
 InitializationCell->True]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
