(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     21089,        446]
NotebookOptionsPosition[     20320,        415]
NotebookOutlinePosition[     20696,        431]
CellTagsIndexPosition[     20653,        428]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Simulation routines ", "Section",
 InitializationCell->True,
 CellChangeTimes->{{3.467126648997672*^9, 3.467126656995472*^9}, {
   3.4671321993234916`*^9, 3.467132202807911*^9}, {3.4672102875948076`*^9, 
   3.467210288547945*^9}, {3.467455788294049*^9, 3.467455803118531*^9}, {
   3.4747445634138703`*^9, 3.4747445650378704`*^9}, 3.4747446570718703`*^9}],

Cell[CellGroupData[{

Cell["BASELINE", "Subsection",
 CellChangeTimes->{3.4747446627278705`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "Mapping", " ", "from", " ", "time", " ", "t", " ", "to", " ", "tp1"}], 
   " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Maptp1", "[", "t_", "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Eta]\[Tau]tp1", "=", 
        RowBox[{"\[Eta]\[Tau]Sim", "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Eta]\[ScriptH]tp1", "=", 
        RowBox[{"\[Eta]\[ScriptH]Sim", "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Iota]\[Tau]tp1", "=", 
        RowBox[{"\[Iota]\[Tau]Sim", "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Iota]\[ScriptH]tp1", "=", 
        RowBox[{"\[Iota]\[ScriptH]Sim", "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Epsilon]tp1Vec", "=", 
        RowBox[{"\[Epsilon]SimMat", "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ";", 
       RowBox[{"(*", " ", "shocks", " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"\[ScriptC]tVec", "=", 
        RowBox[{"\[ScriptC]F", "[", "\[ScriptW]tVec", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptK]\[Tau]tVec", "=", 
        RowBox[{"\[ScriptK]\[Tau]F", "[", "\[ScriptW]tVec", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptK]\[ScriptH]tVec", "=", 
        RowBox[{"\[ScriptK]\[ScriptH]F", "[", "\[ScriptW]tVec", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptL]\[Tau]tVec", "=", 
        RowBox[{"\[ScriptL]\[Tau]F", "[", "\[ScriptW]tVec", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptY]tp1Vec", "=", 
        RowBox[{
         RowBox[{"\[ScriptCapitalA]\[Tau]", " ", "\[Epsilon]tp1Vec", " ", 
          SuperscriptBox["\[ScriptK]\[Tau]tVec", "\[Alpha]"], 
          SuperscriptBox["\[ScriptL]\[Tau]tVec", 
           RowBox[{"1", "-", "\[Alpha]"}]], " ", 
          RowBox[{"(", 
           RowBox[{"\[Eta]\[Tau]tp1", "+", "\[Iota]\[Tau]tp1"}], ")"}]}], "+", 
         RowBox[{"\[ScriptCapitalA]\[ScriptH]", " ", "\[Epsilon]tp1Vec", " ", 
          SuperscriptBox["\[ScriptK]\[ScriptH]tVec", "\[Alpha]"], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[ScriptL]\[Tau]tVec"}], ")"}], 
           RowBox[{"1", "-", "\[Alpha]"}]], " ", 
          RowBox[{"(", 
           RowBox[{"\[Eta]\[ScriptH]tp1", "+", "\[Iota]\[ScriptH]tp1"}], 
           ")"}]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[ScriptW]tp1Vec", "=", "\[ScriptY]tp1Vec"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptW]tVec", " ", "=", " ", "\[ScriptW]tp1Vec"}]}]}], 
     "]"}]}], ";"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.467455838417061*^9, 3.4674558689501133`*^9}, {
   3.4674561111883354`*^9, 3.4674561693701525`*^9}, {3.4674562074909644`*^9, 
   3.467456273081523*^9}, {3.467464432769*^9, 3.467464433888*^9}, {
   3.467465186885*^9, 3.4674651917799997`*^9}, {3.4674655929560003`*^9, 
   3.467465596571*^9}, {3.467468087276*^9, 3.467468088171*^9}, {
   3.467481580649*^9, 3.467481581457*^9}, {3.4674873890404997`*^9, 
   3.4674874003705*^9}, {3.4675644582662*^9, 3.4675644804542*^9}, {
   3.4675660417172003`*^9, 3.4675660664552*^9}, {3.4675690726082*^9, 
   3.4675690868022003`*^9}, 3.467582572591*^9, 3.4675826106394*^9, {
   3.467583753901*^9, 3.4675837546029997`*^9}, {3.4675838543806*^9, 
   3.4675838636314*^9}, {3.467584474699*^9, 3.4675844844334*^9}, {
   3.4675848858838*^9, 3.4675848888322*^9}, {3.468579763274*^9, 
   3.468579770909*^9}, {3.4692054152810144`*^9, 3.4692054308410144`*^9}, 
   3.4742914256219997`*^9, {3.4742954627349997`*^9, 3.474295464573*^9}, {
   3.475238442651*^9, 3.4752384629639997`*^9}, {3.4752637484697*^9, 
   3.4752637484737*^9}, {3.4752638484417*^9, 3.4752638484557*^9}, {
   3.4816364394531*^9, 3.4816364440301*^9}, {3.4816366276120996`*^9, 
   3.4816366286371*^9}, {3.4816366664651003`*^9, 3.4816366693611*^9}, {
   3.4816416240681*^9, 3.4816417253011*^9}, 3.4816461313951*^9, {
   3.4818049007608*^9, 3.4818049075818*^9}, {3.4818068714428*^9, 
   3.4818068992368*^9}, {3.4818070148728*^9, 3.4818070180958*^9}, {
   3.48188024824914*^9, 3.4818802965531397`*^9}, {3.4822364796303997`*^9, 
   3.4822364796344*^9}, {3.485469187938434*^9, 3.4854692512900343`*^9}, {
   3.485469318479234*^9, 3.485469429364034*^9}, 3.485469630947234*^9, {
   3.4854708651636343`*^9, 3.485470866864034*^9}, 3.485471489803234*^9, {
   3.485509760154414*^9, 3.4855097876394143`*^9}, 3.485509878394414*^9, 
   3.485519390301914*^9, 3.485529052433214*^9, {3.4855292636060143`*^9, 
   3.4855292855690145`*^9}, {3.48568478668802*^9, 3.48568480463002*^9}, {
   3.4896565421684413`*^9, 3.4896565421874413`*^9}, {3.4908067190994987`*^9, 
   3.490806737806499*^9}, {3.494409460842681*^9, 3.4944094609056807`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "\[ScriptW]0", " ", "is", " ", "initial", " ", "state", " ", "variable"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Simulate", "[", "\[ScriptW]0_", "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[ScriptCapitalW]tVec", "=", 
        RowBox[{"\[ScriptCapitalC]tVec", "=", 
         RowBox[{"\[ScriptCapitalK]\[Tau]tVec", "=", 
          RowBox[{"\[ScriptCapitalK]\[ScriptH]tVec", "=", 
           RowBox[{"\[ScriptCapitalL]\[Tau]tVec", "=", 
            RowBox[{"{", "}"}]}]}]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[ScriptW]tVec", " ", "=", " ", 
        RowBox[{"ConstantArray", "[", 
         RowBox[{"\[ScriptW]0", ",", "SimAgents"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Do", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"AppendTo", "[", 
           RowBox[{"\[ScriptCapitalW]tVec", ",", 
            RowBox[{"Mean", "[", "\[ScriptW]tVec", "]"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Maptp1", "[", "t", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"\[ScriptCapitalC]tVec", ",", 
            RowBox[{"Mean", "[", "\[ScriptC]tVec", "]"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"\[ScriptCapitalK]\[Tau]tVec", ",", 
            RowBox[{"Mean", "[", "\[ScriptK]\[Tau]tVec", "]"}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"\[ScriptCapitalK]\[ScriptH]tVec", ",", 
            RowBox[{"Mean", "[", "\[ScriptK]\[ScriptH]tVec", "]"}]}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"\[ScriptCapitalL]\[Tau]tVec", ",", 
            RowBox[{"Mean", "[", "\[ScriptL]\[Tau]tVec", "]"}]}], "]"}], 
          ";"}], "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "1", ",", "SimPeriods"}], "}"}]}], "]"}]}]}], 
     "]"}]}], ";"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.466610965206882*^9, 3.466611068799882*^9}, {
   3.466611099653882*^9, 3.466611159334882*^9}, {3.466611222194882*^9, 
   3.466611235403882*^9}, {3.4666113414548817`*^9, 3.4666113774338818`*^9}, {
   3.4666114370718822`*^9, 3.4666114557418823`*^9}, {3.466611507962882*^9, 
   3.466611508820882*^9}, {3.466611650693882*^9, 3.466611653455882*^9}, {
   3.466611687461882*^9, 3.466611716976882*^9}, {3.4666120376318817`*^9, 
   3.466612291240882*^9}, {3.4666123226828823`*^9, 3.4666124665068817`*^9}, {
   3.466612760610882*^9, 3.4666127616838818`*^9}, 3.466613062879882*^9, 
   3.466613364040882*^9, 3.466613423719882*^9, {3.466618906499*^9, 
   3.466618956639*^9}, {3.466619999646*^9, 3.466620001021*^9}, {
   3.466624016552*^9, 3.466624020885*^9}, {3.466684229756*^9, 
   3.4666842941540003`*^9}, {3.466764790463126*^9, 3.4667647907751575`*^9}, {
   3.466764929406019*^9, 3.466764934933572*^9}, {3.467307820355*^9, 
   3.467307902899*^9}, {3.4673096140039997`*^9, 3.467309618329*^9}, {
   3.4674557336725874`*^9, 3.4674557708813076`*^9}, {3.4674558268539047`*^9, 
   3.467455834971716*^9}, {3.467456180254241*^9, 3.4674562025704727`*^9}, 
   3.467456308948109*^9, {3.4674635204370003`*^9, 3.4674635376949997`*^9}, {
   3.467464358917*^9, 3.4674643849960003`*^9}, {3.467465602124*^9, 
   3.4674656150039997`*^9}, 3.467465661924*^9, {3.4675644323691998`*^9, 
   3.4675644770492*^9}, {3.4675660816401997`*^9, 3.4675660992172003`*^9}, {
   3.4675661445032*^9, 3.4675661499012003`*^9}, 3.4675825557274*^9, 
   3.4675825970518*^9, {3.467585290189*^9, 3.467585325679*^9}, {
   3.4675853594374*^9, 3.4675853706538*^9}, {3.4692054750700145`*^9, 
   3.4692054773280144`*^9}, {3.4693021240655003`*^9, 3.4693021247595*^9}, {
   3.474291269277*^9, 3.474291298376*^9}, {3.474291337499*^9, 
   3.474291397559*^9}, {3.474295486177*^9, 3.4742955200889997`*^9}, {
   3.474295676641*^9, 3.474295679578*^9}, {3.4776019923309813`*^9, 
   3.4776019985329814`*^9}, {3.477697479855*^9, 3.477697484222*^9}, {
   3.4816366454791*^9, 3.4816366786041*^9}, {3.4816465037461*^9, 
   3.4816465341131*^9}, {3.4816484318241*^9, 3.4816484390551*^9}, {
   3.4816484906141*^9, 3.4816485057021*^9}, {3.4816486260650997`*^9, 
   3.4816486263410997`*^9}, {3.4816500271041*^9, 3.4816500541521*^9}, {
   3.4816522855320997`*^9, 3.4816522970591*^9}, {3.4816523460351*^9, 
   3.4816523626371*^9}, 3.4816524167141*^9, {3.4818049257028*^9, 
   3.4818049426098003`*^9}, {3.4818069131558*^9, 3.4818069136968*^9}, {
   3.4818072551048*^9, 3.4818072599788*^9}, {3.4854714993660345`*^9, 
   3.485471546166034*^9}, {3.485473625707634*^9, 3.485473731304034*^9}, {
   3.4855080920984144`*^9, 3.4855081664824142`*^9}, {3.4855083552212143`*^9, 
   3.485508372401214*^9}, {3.485509551335414*^9, 3.485509583373414*^9}, {
   3.4855193998009143`*^9, 3.4855194025549145`*^9}, 3.485528958452014*^9, {
   3.485529453242014*^9, 3.4855294732810144`*^9}, {3.490806185949499*^9, 
   3.490806185956499*^9}, {3.4908067378154993`*^9, 3.490806737824499*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "\[ScriptW]0", " ", "is", " ", "initial", " ", "state", " ", "variable"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SimulateMat", "[", "\[ScriptW]0_", "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[ScriptCapitalW]tMat", "=", 
        RowBox[{"\[ScriptCapitalC]tMat", "=", 
         RowBox[{"\[ScriptCapitalK]\[Tau]tMat", "=", 
          RowBox[{"\[ScriptCapitalK]\[ScriptH]tMat", "=", 
           RowBox[{"\[ScriptCapitalL]\[Tau]tMat", "=", 
            RowBox[{"{", "}"}]}]}]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[ScriptW]tVec", " ", "=", " ", 
        RowBox[{"ConstantArray", "[", 
         RowBox[{"\[ScriptW]0", ",", "SimAgents"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"AppendTo", "[", 
           RowBox[{"\[ScriptCapitalW]tMat", ",", "\[ScriptW]tVec"}], "]"}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"Maptp1", "[", "t", "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"AppendTo", "[", 
           RowBox[{"\[ScriptCapitalC]tMat", ",", "\[ScriptC]tVec"}], "]"}], 
          ";", 
          RowBox[{"AppendTo", "[", 
           RowBox[{
           "\[ScriptCapitalK]\[Tau]tMat", ",", "\[ScriptK]\[Tau]tVec"}], 
           "]"}], ";", 
          RowBox[{"AppendTo", "[", 
           RowBox[{
           "\[ScriptCapitalK]\[ScriptH]tMat", ",", 
            "\[ScriptK]\[ScriptH]tVec"}], "]"}], ";", 
          RowBox[{"AppendTo", "[", 
           RowBox[{
           "\[ScriptCapitalL]\[Tau]tVec", ",", "\[ScriptL]\[Tau]tVec"}], 
           "]"}], ";"}], ",", 
         RowBox[{"{", 
          RowBox[{"t", ",", "1", ",", "SimPeriods"}], "}"}]}], "]"}]}]}], 
     "]"}]}], ";"}]}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4675853950678*^9, 3.4675854439114*^9}, 
   3.4742914465699997`*^9, 3.4742956665299997`*^9, {3.474306209866*^9, 
   3.474306238594*^9}, {3.4743171387612*^9, 3.4743171555936003`*^9}, {
   3.4776020030979815`*^9, 3.4776020044279814`*^9}, {3.4776975221099997`*^9, 
   3.477697525951*^9}, {3.4816367567521*^9, 3.4816367569261*^9}, 
   3.4816368160671*^9, {3.4818069374308*^9, 3.4818069435848*^9}, {
   3.485508323967214*^9, 3.485508338092414*^9}, {3.4855083900072145`*^9, 
   3.4855084172936144`*^9}, {3.4855095405414143`*^9, 3.4855095816784143`*^9}, 
   3.4855194150239143`*^9, {3.490806185964499*^9, 3.490806185968499*^9}, {
   3.4908067239734993`*^9, 3.490806737836499*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["INSURANCE", "Subsection",
 CellChangeTimes->{{3.4747446911308703`*^9, 3.47474469956787*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"MapInstp1", "[", "t_", "]"}], ":=", 
    RowBox[{"Block", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[Eta]\[Tau]tp1", "=", 
        RowBox[{"\[Eta]\[Tau]Sim", "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Eta]\[ScriptH]tp1", "=", 
        RowBox[{"\[Eta]\[ScriptH]Sim", "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Iota]\[Tau]tp1", "=", 
        RowBox[{"\[Iota]\[Tau]Sim", "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Iota]\[ScriptH]tp1", "=", 
        RowBox[{"\[Iota]\[ScriptH]Sim", "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Epsilon]tp1Vec", "=", 
        RowBox[{"\[Epsilon]SimMat", "[", 
         RowBox[{"[", "t", "]"}], "]"}]}], ";", 
       RowBox[{"(*", " ", "shocks", " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"\[ScriptC]tVec", "=", 
        RowBox[{"\[ScriptC]FIns", "[", "\[ScriptW]tVec", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptK]\[Tau]tVec", "=", 
        RowBox[{"\[ScriptK]\[Tau]FIns", "[", "\[ScriptW]tVec", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptK]\[ScriptH]tVec", "=", 
        RowBox[{"\[ScriptK]\[ScriptH]FIns", "[", "\[ScriptW]tVec", "]"}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"\[ScriptL]\[Tau]tVec", "=", 
        RowBox[{"\[ScriptL]\[Tau]FIns", "[", "\[ScriptW]tVec", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptY]tp1Vec", "=", 
        RowBox[{
         RowBox[{"\[ScriptCapitalA]\[Tau]", " ", "\[Epsilon]tp1Vec", " ", 
          SuperscriptBox["\[ScriptK]\[Tau]tVec", "\[Alpha]"], 
          SuperscriptBox["\[ScriptL]\[Tau]tVec", 
           RowBox[{"1", "-", "\[Alpha]"}]], " ", 
          RowBox[{"(", 
           RowBox[{"\[Eta]\[Tau]tp1", "+", "\[Iota]\[Tau]tp1"}], ")"}]}], "+", 
         RowBox[{"\[ScriptCapitalA]\[ScriptH]", " ", "\[Epsilon]tp1Vec", " ", 
          SuperscriptBox["\[ScriptK]\[ScriptH]tVec", "\[Alpha]"], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"1", "-", "\[ScriptL]\[Tau]tVec"}], ")"}], 
           RowBox[{"1", "-", "\[Alpha]"}]], " ", 
          RowBox[{"(", 
           RowBox[{"\[Eta]\[ScriptH]tp1", "+", "\[Iota]\[ScriptH]tp1"}], 
           ")"}]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[ScriptW]tp1Vec", "=", "\[ScriptY]tp1Vec"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[ScriptW]tVec", " ", "=", " ", "\[ScriptW]tp1Vec"}], ";"}]}],
      "]"}]}], ";"}], "\[IndentingNewLine]"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"SimulateIns", "[", "\[ScriptW]0_", "]"}], ":=", 
   RowBox[{"Block", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"\[ScriptCapitalW]tVec", "=", 
       RowBox[{"\[ScriptCapitalC]tVec", "=", 
        RowBox[{"\[ScriptCapitalK]\[Tau]tVec", "=", 
         RowBox[{"\[ScriptCapitalK]\[ScriptH]tVec", "=", 
          RowBox[{"\[ScriptCapitalL]\[Tau]tVec", "=", 
           RowBox[{"{", "}"}]}]}]}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"\[ScriptW]tVec", " ", "=", " ", 
       RowBox[{"ConstantArray", "[", 
        RowBox[{"\[ScriptW]0", ",", "SimAgents"}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"Do", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"AppendTo", "[", 
          RowBox[{"\[ScriptCapitalW]tVec", ",", 
           RowBox[{"Mean", "[", "\[ScriptW]tVec", "]"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"MapInstp1", "[", "t", "]"}], ";", "\[IndentingNewLine]", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"\[ScriptCapitalC]tVec", ",", 
           RowBox[{"Mean", "[", "\[ScriptC]tVec", "]"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"\[ScriptCapitalK]\[ScriptH]tVec", ",", 
           RowBox[{"Mean", "[", "\[ScriptK]\[ScriptH]tVec", "]"}]}], "]"}], 
         ";", "\[IndentingNewLine]", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"\[ScriptCapitalK]\[Tau]tVec", ",", 
           RowBox[{"Mean", "[", "\[ScriptK]\[Tau]tVec", "]"}]}], "]"}], ";", 
         "\[IndentingNewLine]", 
         RowBox[{"AppendTo", "[", 
          RowBox[{"\[ScriptCapitalL]\[Tau]tVec", ",", 
           RowBox[{"Mean", "[", "\[ScriptL]\[Tau]tVec", "]"}]}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"t", ",", "1", ",", "SimPeriods"}], "}"}]}], "]"}]}]}], 
    "]"}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.4742912193570004`*^9, 3.4742912575109997`*^9}, {
   3.4742914115179996`*^9, 3.474291412889*^9}, {3.4743087065550003`*^9, 
   3.474308713289*^9}, {3.4743170698716*^9, 3.4743170764392*^9}, {
   3.4747459114608707`*^9, 3.4747459304928703`*^9}, {3.4747460748378706`*^9, 
   3.4747461463718705`*^9}, {3.4747528486768703`*^9, 
   3.4747528509768705`*^9}, {3.475239875328*^9, 3.47523991379*^9}, {
   3.4752637484877*^9, 3.4752637484937*^9}, {3.4752638484777*^9, 
   3.4752638484847*^9}, {3.477697585785*^9, 3.4776975931540003`*^9}, 
   3.4816367915191*^9, {3.4818049997218*^9, 3.4818050020768003`*^9}, {
   3.4818069701468*^9, 3.4818069835558*^9}, {3.4818070477088003`*^9, 
   3.4818070535898*^9}, {3.48188611169814*^9, 3.4818861293941402`*^9}, {
   3.4822364796484003`*^9, 3.4822364796554003`*^9}, {3.4854712393140345`*^9, 
   3.4854712619340343`*^9}, {3.485508271274814*^9, 3.485508277329614*^9}, {
   3.4855096549284143`*^9, 3.485509684234414*^9}, {3.485509852885414*^9, 
   3.4855098677424145`*^9}, {3.485519473638914*^9, 3.485519478468914*^9}, {
   3.48568483784602*^9, 3.4856848625530205`*^9}, {3.4858753007944183`*^9, 
   3.4858753211680183`*^9}, {3.4858754399152184`*^9, 
   3.4858754424112186`*^9}, {3.4858755330472183`*^9, 3.4858755380860186`*^9}, 
   3.4858756349498186`*^9, {3.489656542223441*^9, 3.4896565422504416`*^9}, {
   3.4908061859734993`*^9, 3.490806185976499*^9}, {3.490806219240499*^9, 
   3.490806219362499*^9}, {3.4908067469004993`*^9, 3.490806749362499*^9}, {
   3.4944094609546804`*^9, 3.4944094609736805`*^9}}]
}, Open  ]]
}, Open  ]]
},
AutoGeneratedPackage->Automatic,
WindowSize->{1264, 889},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (32-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 360, 5, 86, "Section",
 InitializationCell->True],
Cell[CellGroupData[{
Cell[952, 31, 74, 1, 49, "Subsection"],
Cell[1029, 34, 5011, 92, 297, "Input",
 InitializationCell->True],
Cell[6043, 128, 5201, 92, 232, "Input",
 InitializationCell->True],
Cell[11247, 222, 2657, 58, 172, "Input",
 InitializationCell->True]
}, Open  ]],
Cell[CellGroupData[{
Cell[13941, 285, 98, 1, 49, "Subsection"],
Cell[14042, 288, 6250, 123, 477, "Input",
 InitializationCell->True]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
